Index: www/Makefile
===================================================================
--- www/Makefile	(revision 321633)
+++ www/Makefile	(working copy)
@@ -76,6 +76,7 @@
     SUBDIR += cakephp13
     SUBDIR += cakephp21
     SUBDIR += cakephp22
+    SUBDIR += cakephp23
     SUBDIR += calamaris
     SUBDIR += cas
     SUBDIR += castget
Index: www/cakephp11/Makefile
===================================================================
--- www/cakephp11/Makefile	(revision 321633)
+++ www/cakephp11/Makefile	(working copy)
@@ -19,7 +19,7 @@
 USE_APACHE_RUN=	22+
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.[23].*
+CONFLICTS=	cakephp-1.[23].* cakephp-2.*
 NO_BUILD=	yes
 
 USE_PHP=	pcre session
Index: www/cakephp12/Makefile
===================================================================
--- www/cakephp12/Makefile	(revision 321633)
+++ www/cakephp12/Makefile	(working copy)
@@ -21,7 +21,7 @@
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.[13].*
+CONFLICTS=	cakephp-1.[13].* cakephp-2.*
 
 NO_BUILD=	yes
 USES=		gettext
Index: www/cakephp21/Makefile
===================================================================
--- www/cakephp21/Makefile	(revision 321633)
+++ www/cakephp21/Makefile	(working copy)
@@ -22,7 +22,7 @@
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.* cakephp-2.2.*
+CONFLICTS=	cakephp-1.* cakephp-2.[23].*
 
 NO_BUILD=	yes
 USES=		gettext
Index: www/cakephp22/Makefile
===================================================================
--- www/cakephp22/Makefile	(revision 321633)
+++ www/cakephp22/Makefile	(working copy)
@@ -8,6 +8,8 @@
 MAINTAINER=	pphillips@experts-exchange.com
 COMMENT=	A framework for developing PHP web applications
 
+LATEST_LINK=	cakephp22
+
 LICENSE=	MIT
 
 USE_GITHUB=	yes
Index: www/cakephp23/Makefile
===================================================================
--- www/cakephp23/Makefile	(revision 321632)
+++ www/cakephp23/Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cakephp
-PORTVERSION=	2.2.7
+PORTVERSION=	2.3.6
 CATEGORIES=	www
 
 MAINTAINER=	pphillips@experts-exchange.com
@@ -12,13 +12,13 @@
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	${PORTNAME}
-GH_COMMIT=	1bb28d3
+GH_COMMIT=	b81c198
 
 PORTDOCS=	README.md
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.* cakephp-2.1.*
+CONFLICTS=	cakephp-1.* cakephp-2.[12].*
 
 NO_BUILD=	yes
 USES=		gettext
Index: www/cakephp23/distinfo
===================================================================
--- www/cakephp23/distinfo	(revision 321632)
+++ www/cakephp23/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (cakephp-2.2.7.tar.gz) = 7d043e1d29523c5137ffbbb2d01c2c3edaa6230d4c8fe382283890582dae7dbb
-SIZE (cakephp-2.2.7.tar.gz) = 1204588
+SHA256 (cakephp-2.3.6.tar.gz) = c0f3af6b25094f5cd58eca933c838ba1f94c1c4d737d8e7c45aeaecf236c67d2
+SIZE (cakephp-2.3.6.tar.gz) = 1377844
Index: www/cakephp23/pkg-plist
===================================================================
--- www/cakephp23/pkg-plist	(revision 321632)
+++ www/cakephp23/pkg-plist	(working copy)
@@ -70,6 +70,7 @@
 %%WWWDIR%%/lib/Cake/Cache/Engine/RedisEngine.php
 %%WWWDIR%%/lib/Cake/Cache/Engine/WincacheEngine.php
 %%WWWDIR%%/lib/Cake/Cache/Engine/XcacheEngine.php
+%%WWWDIR%%/lib/Cake/Config/cacert.pem
 %%WWWDIR%%/lib/Cake/Config/config.php
 %%WWWDIR%%/lib/Cake/Config/routes.php
 %%WWWDIR%%/lib/Cake/Config/unicode/casefolding/0080_00ff.php
@@ -100,6 +101,7 @@
 %%WWWDIR%%/lib/Cake/Console/Command/ConsoleShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/I18nShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/SchemaShell.php
+%%WWWDIR%%/lib/Cake/Console/Command/ServerShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/TestShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/Task/BakeTask.php
 %%WWWDIR%%/lib/Cake/Console/Command/Task/ControllerTask.php
@@ -141,6 +143,7 @@
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/Schema/sessions.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/Schema/sessions.sql
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/acl.ini.php
+%%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/acl.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/bootstrap.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/core.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/database.php.default
@@ -194,6 +197,7 @@
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/BaseAuthenticate.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/BaseAuthorize.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/BasicAuthenticate.php
+%%WWWDIR%%/lib/Cake/Controller/Component/Auth/BlowfishAuthenticate.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/ControllerAuthorize.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/CrudAuthorize.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/DigestAuthenticate.php
@@ -268,6 +272,7 @@
 %%WWWDIR%%/lib/Cake/Network/Http/DigestAuthentication.php
 %%WWWDIR%%/lib/Cake/Network/Http/HttpResponse.php
 %%WWWDIR%%/lib/Cake/Network/Http/HttpSocket.php
+%%WWWDIR%%/lib/Cake/Network/Http/HttpSocketResponse.php
 %%WWWDIR%%/lib/Cake/Routing/Dispatcher.php
 %%WWWDIR%%/lib/Cake/Routing/DispatcherFilter.php
 %%WWWDIR%%/lib/Cake/Routing/Filter/AssetDispatcher.php
@@ -337,6 +342,7 @@
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Acl/PhpAclTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/ActionsAuthorizeTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/BasicAuthenticateTest.php
+%%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/BlowfishAuthenticateTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/ControllerAuthorizeTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/CrudAuthorizeTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/DigestAuthenticateTest.php
@@ -494,6 +500,7 @@
 %%WWWDIR%%/lib/Cake/Test/Fixture/BinaryTestFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/BookFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CacheTestModelFixture.php
+%%WWWDIR%%/lib/Cake/Test/Fixture/CakeSessionFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CallbackFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CampaignFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CategoryFixture.php
@@ -726,6 +733,7 @@
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Log/Engine/TestPluginLog.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Filter/Test2DispatcherFilter.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Filter/TestDispatcherFilter.php
+%%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Route/TestRoute.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/TestPluginLibrary.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/TestPluginOtherLibrary.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale/po/LC_MESSAGES/test_plugin.po
@@ -792,6 +800,7 @@
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Elements/type_check.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/custom.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/default.ctp
+%%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/html.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/image.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/japanese.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/nested_element.ctp
@@ -1064,6 +1073,7 @@
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale/po/LC_MESSAGES
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale/po
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale
+@dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Route
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Filter
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Log/Engine