diff -ruN /usr/ports/security/scamp/Makefile /usr/ports/local/scamp/Makefile
--- /usr/ports/security/scamp/Makefile	2012-11-17 01:01:19.000000000 -0500
+++ /usr/ports/local/scamp/Makefile	2013-03-26 11:57:38.000000000 -0400
@@ -1,11 +1,8 @@
-# New ports collection makefile for:	scamp
-# Date created:	31 March 2009
-# Whom:	Gerard Seibert <gerard@seibercom.net>
-#
+# Created by: Gerard Seibert <gerard@seibercom.net>
 # $FreeBSD: ports/security/scamp/Makefile,v 1.15 2012/11/17 06:01:19 svnexp Exp $
 
 PORTNAME=	scamp
-PORTVERSION=	5.3b
+PORTVERSION=	5.4
 CATEGORIES=	security
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -14,15 +11,15 @@
 
 LICENSE=	BSD
 
-RUN_DEPENDS=	bash>=4.2.20:${PORTSDIR}/shells/bash \
-		clamav>=0.97.3_1:${PORTSDIR}/security/clamav \
-		gnupg>=2.0.18_1:${PORTSDIR}/security/gnupg \
+RUN_DEPENDS=	bash>=4.2.42:${PORTSDIR}/shells/bash \
+		clamav>=0.97.7:${PORTSDIR}/security/clamav \
+		gnupg>=2.0.19:${PORTSDIR}/security/gnupg \
 		rsync>=3.0.9:${PORTSDIR}/net/rsync
 
 .if exists (${LOCALBASE}/bin/wget) && ! exists (${LOCALBASE}/bin/curl)
-RUN_DEPENDS+=	wget>=1.13.4_1:${PORTSDIR}/ftp/wget
+RUN_DEPENDS+=	wget>=1.14:${PORTSDIR}/ftp/wget
 .else
-RUN_DEPENDS+=	curl>=7.21.3_2:${PORTSDIR}/ftp/curl
+RUN_DEPENDS+=	curl>=7.24.0_2:${PORTSDIR}/ftp/curl
 .endif
 
 NO_BUILD=	yes
@@ -30,6 +27,8 @@
 
 MAN1=		scamp.1
 
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|CLAMAV_DB=$${CLAMAV_DB:-""}|CLAMAV_DB=$${CLAMAV_DB:-\"/var/db/clamav\"}|g' ${WRKSRC}/${PORTNAME}.sh
 	@${REINPLACE_CMD} -e 's|CONFIG_DIR=$${CONFIG_DIR:-"/etc/scamp"}|CONFIG_DIR=$${CONFIG_DIR:-"${ETCDIR}"}|g' ${WRKSRC}/${PORTNAME}.sh
@@ -40,19 +39,21 @@
 	fi
 
 	@${INSTALL_DATA} ${FILESDIR}/default.sample ${ETCDIR}
-		@if [ ! -f ${ETCDIR}/default ]; then \
-			${CP} -p ${ETCDIR}/default.sample \
-			${ETCDIR}/default ; \
-		fi
+
+	@if [ ! -f ${PREFIX}/etc/scamp/default ]; then \
+		${CP} -p ${PREFIX}/etc/scamp/default.sample ${PREFIX}/etc/scamp/default ; \
+	fi
 
 do-install:
 	cd ${WRKSRC} && ${INSTALL_SCRIPT} ${PORTNAME}.sh ${PREFIX}/bin
 	cd ${WRKSRC} && ${INSTALL_MAN} scamp.1 ${MANPREFIX}/man/man1
 
-.ifndef(NOPORTDOCS)
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	cd ${WRKSRC} && ${INSTALL_DATA} README CHANGE.LOG INSTALL Release.html ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} README CHANGE.LOG INSTALL Release.pdf ${DOCSDIR}
 .endif
+
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -ruN /usr/ports/security/scamp/distinfo /usr/ports/local/scamp/distinfo
--- /usr/ports/security/scamp/distinfo	2012-02-24 15:00:35.000000000 -0500
+++ /usr/ports/local/scamp/distinfo	2013-03-25 18:55:15.000000000 -0400
@@ -1,2 +1,2 @@
-SHA256 (scamp-5.3b.tar.gz) = ad557fbad486d8baba6d1f55e6492af555adb00830cca4ff904c0fb34659d5c5
-SIZE (scamp-5.3b.tar.gz) = 40988
+SHA256 (scamp-5.4.tar.gz) = 8e0273e6f0e6f3c8d05f5fe194459e3dc606ec7daca4094527b9f71892e9e3c6
+SIZE (scamp-5.4.tar.gz) = 134541
diff -ruN /usr/ports/security/scamp/files/default.sample /usr/ports/local/scamp/files/default.sample
--- /usr/ports/security/scamp/files/default.sample	2012-02-24 15:00:35.000000000 -0500
+++ /usr/ports/local/scamp/files/default.sample	2013-03-25 18:28:38.000000000 -0400
@@ -1,34 +1,28 @@
 # This is the /usr/local/etc/scamp/default file.
-# Created February 21, 2012
+# Created March 25, 2013
 
-SCAMP_VERSION=5.3b
-CLAMAV_DB=/var/db/clamav
-T_DIR=/var/db/clamav/tmp
 C_GROUP=clamav
 C_PID=/var/run/clamav/clamd.pid
 C_USER=clamav
+CLAMAV_DB=/var/db/clamav
 GET_LDB=1
 GET_MALWARE=1
-GET_MSRBL=0
 GET_SANE=1
 GET_SECURITE=4
 GET_WINNOW=1
 gpg_key_url=http://www.sanesecurity.net/publickey.gpg
 L_TYPE=1
 MK_LOG=0
-MSRBL=rsync://rsync.mirror.msrbl.com/msrbl/
-msrbl_Images=MSRBL-Images.hdb
-msrbl_SPAM=MSRBL-SPAM.ndb
-msrbl_SPAM_CR=MSRBL-SPAM-CR.ndb
-MSR_DIR=/var/db/clamav/tmp/msr
 MW_DIR=/var/db/clamav/tmp/malware
 MW_FILE=mbl.ndb
 MW_URL=http://www.malwarepatrol.com.br/cgi/submit?action=list_clamav_ext
 RELOAD=1
-REST=1
-SANE=rsync://rsync.sanesecurity.net/sanesecurity
+REST=0
 SANE_DB=/var/db/clamav/tmp/sane
+SANE=rsync://rsync.sanesecurity.net/sanesecurity
+SCAMP_VERSION=5.4
 SI_DIR=/var/db/clamav/tmp/securite
 SYS_LOG=1
-WPC=1
+T_DIR=/var/db/clamav/tmp
 W_SUM=1
+WPC=1
diff -ruN /usr/ports/security/scamp/pkg-descr /usr/ports/local/scamp/pkg-descr
--- /usr/ports/security/scamp/pkg-descr	2009-04-23 09:20:02.000000000 -0400
+++ /usr/ports/local/scamp/pkg-descr	2013-03-25 18:31:31.000000000 -0400
@@ -3,7 +3,6 @@
 
 sanesecurity.com
 malware.com.br
-msrbl.com
 clamav.securiteinfo.com
 
 Site Address:
diff -ruN /usr/ports/security/scamp/pkg-plist /usr/ports/local/scamp/pkg-plist
--- /usr/ports/security/scamp/pkg-plist	2013-03-25 22:43:52.000000000 -0400
+++ /usr/ports/local/scamp/pkg-plist	2013-04-27 07:09:02.000000000 -0400
@@ -1,16 +1,11 @@
-%%PREFIX%%/bin/scamp.sh
+bin/scamp.sh
 %%PORTDOCS%%%%DOCSDIR%%/CHANGE.LOG
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/Release.pdf
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%PREFIX%%/share/licenses/scamp-5.4/BSD
-%%PREFIX%%/share/licenses/scamp-5.4/LICENSE
-%%PREFIX%%/share/licenses/scamp-5.4/catalog.mk
-@dirrm %%PORTDOCS%%%%DOCSDIR%%
-@dirrm %%ETCDIR%%/scamp
-@unexec if cmp -s %D/%%ETCDIR%%/default.sample %D/%%ETCDIR%%/default; then rm -f %D/%%ETCDIR%%/default; fi
-%%ETCDIR%%/default.sample
-@exec if [ ! -f %D/%%ETCDIR%%/default ] ; then cp -p %D/%F %B/default; fi
-@exec mkdir -p %D/%%ETCDIR%%
-@dirrmtry %%ETCDIR%%
+@exec mkdir -p %D/etc/scamp
+@unexec if [ %%PORTDOCS%%%%DOCSDIR%%/Release.html ]; then rm -f %%PORTDOCS%%%%DOCSDIR%%/Release.html; fi
+etc/scamp/default.sample
+@exec if [ ! -f %D/etc/scamp/default ] ; then cp -p %D/%F %B/default; fi
+@dirrmtry etc/scamp
diff -ruN /usr/ports/security/scamp/scamp.diff /usr/ports/local/scamp/scamp.diff
--- /usr/ports/security/scamp/scamp.diff	1969-12-31 19:00:00.000000000 -0500
+++ /usr/ports/local/scamp/scamp.diff	2013-04-27 07:20:07.000000000 -0400
@@ -0,0 +1,165 @@
+diff -ruN /usr/ports/security/scamp/Makefile /usr/ports/local/scamp/Makefile
+--- /usr/ports/security/scamp/Makefile	2012-11-17 01:01:19.000000000 -0500
++++ /usr/ports/local/scamp/Makefile	2013-03-26 11:57:38.000000000 -0400
+@@ -1,11 +1,8 @@
+-# New ports collection makefile for:	scamp
+-# Date created:	31 March 2009
+-# Whom:	Gerard Seibert <gerard@seibercom.net>
+-#
++# Created by: Gerard Seibert <gerard@seibercom.net>
+ # $FreeBSD: ports/security/scamp/Makefile,v 1.15 2012/11/17 06:01:19 svnexp Exp $
+ 
+ PORTNAME=	scamp
+-PORTVERSION=	5.3b
++PORTVERSION=	5.4
+ CATEGORIES=	security
+ MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
+ 
+@@ -14,15 +11,15 @@
+ 
+ LICENSE=	BSD
+ 
+-RUN_DEPENDS=	bash>=4.2.20:${PORTSDIR}/shells/bash \
+-		clamav>=0.97.3_1:${PORTSDIR}/security/clamav \
+-		gnupg>=2.0.18_1:${PORTSDIR}/security/gnupg \
++RUN_DEPENDS=	bash>=4.2.42:${PORTSDIR}/shells/bash \
++		clamav>=0.97.7:${PORTSDIR}/security/clamav \
++		gnupg>=2.0.19:${PORTSDIR}/security/gnupg \
+ 		rsync>=3.0.9:${PORTSDIR}/net/rsync
+ 
+ .if exists (${LOCALBASE}/bin/wget) && ! exists (${LOCALBASE}/bin/curl)
+-RUN_DEPENDS+=	wget>=1.13.4_1:${PORTSDIR}/ftp/wget
++RUN_DEPENDS+=	wget>=1.14:${PORTSDIR}/ftp/wget
+ .else
+-RUN_DEPENDS+=	curl>=7.21.3_2:${PORTSDIR}/ftp/curl
++RUN_DEPENDS+=	curl>=7.24.0_2:${PORTSDIR}/ftp/curl
+ .endif
+ 
+ NO_BUILD=	yes
+@@ -30,6 +27,8 @@
+ 
+ MAN1=		scamp.1
+ 
++.include <bsd.port.options.mk>
++
+ post-patch:
+ 	@${REINPLACE_CMD} -e 's|CLAMAV_DB=$${CLAMAV_DB:-""}|CLAMAV_DB=$${CLAMAV_DB:-\"/var/db/clamav\"}|g' ${WRKSRC}/${PORTNAME}.sh
+ 	@${REINPLACE_CMD} -e 's|CONFIG_DIR=$${CONFIG_DIR:-"/etc/scamp"}|CONFIG_DIR=$${CONFIG_DIR:-"${ETCDIR}"}|g' ${WRKSRC}/${PORTNAME}.sh
+@@ -40,19 +39,21 @@
+ 	fi
+ 
+ 	@${INSTALL_DATA} ${FILESDIR}/default.sample ${ETCDIR}
+-		@if [ ! -f ${ETCDIR}/default ]; then \
+-			${CP} -p ${ETCDIR}/default.sample \
+-			${ETCDIR}/default ; \
+-		fi
++
++	@if [ ! -f ${PREFIX}/etc/scamp/default ]; then \
++		${CP} -p ${PREFIX}/etc/scamp/default.sample ${PREFIX}/etc/scamp/default ; \
++	fi
+ 
+ do-install:
+ 	cd ${WRKSRC} && ${INSTALL_SCRIPT} ${PORTNAME}.sh ${PREFIX}/bin
+ 	cd ${WRKSRC} && ${INSTALL_MAN} scamp.1 ${MANPREFIX}/man/man1
+ 
+-.ifndef(NOPORTDOCS)
++# Documentation
++.if ${PORT_OPTIONS:MDOCS}
+ 	@${MKDIR} ${DOCSDIR}
+-	cd ${WRKSRC} && ${INSTALL_DATA} README CHANGE.LOG INSTALL Release.html ${DOCSDIR}
++	cd ${WRKSRC} && ${INSTALL_DATA} README CHANGE.LOG INSTALL Release.pdf ${DOCSDIR}
+ .endif
++
+ 	@${CAT} ${PKGMESSAGE}
+ 
+ .include <bsd.port.mk>
+diff -ruN /usr/ports/security/scamp/distinfo /usr/ports/local/scamp/distinfo
+--- /usr/ports/security/scamp/distinfo	2012-02-24 15:00:35.000000000 -0500
++++ /usr/ports/local/scamp/distinfo	2013-03-25 18:55:15.000000000 -0400
+@@ -1,2 +1,2 @@
+-SHA256 (scamp-5.3b.tar.gz) = ad557fbad486d8baba6d1f55e6492af555adb00830cca4ff904c0fb34659d5c5
+-SIZE (scamp-5.3b.tar.gz) = 40988
++SHA256 (scamp-5.4.tar.gz) = 8e0273e6f0e6f3c8d05f5fe194459e3dc606ec7daca4094527b9f71892e9e3c6
++SIZE (scamp-5.4.tar.gz) = 134541
+diff -ruN /usr/ports/security/scamp/files/default.sample /usr/ports/local/scamp/files/default.sample
+--- /usr/ports/security/scamp/files/default.sample	2012-02-24 15:00:35.000000000 -0500
++++ /usr/ports/local/scamp/files/default.sample	2013-03-25 18:28:38.000000000 -0400
+@@ -1,34 +1,28 @@
+ # This is the /usr/local/etc/scamp/default file.
+-# Created February 21, 2012
++# Created March 25, 2013
+ 
+-SCAMP_VERSION=5.3b
+-CLAMAV_DB=/var/db/clamav
+-T_DIR=/var/db/clamav/tmp
+ C_GROUP=clamav
+ C_PID=/var/run/clamav/clamd.pid
+ C_USER=clamav
++CLAMAV_DB=/var/db/clamav
+ GET_LDB=1
+ GET_MALWARE=1
+-GET_MSRBL=0
+ GET_SANE=1
+ GET_SECURITE=4
+ GET_WINNOW=1
+ gpg_key_url=http://www.sanesecurity.net/publickey.gpg
+ L_TYPE=1
+ MK_LOG=0
+-MSRBL=rsync://rsync.mirror.msrbl.com/msrbl/
+-msrbl_Images=MSRBL-Images.hdb
+-msrbl_SPAM=MSRBL-SPAM.ndb
+-msrbl_SPAM_CR=MSRBL-SPAM-CR.ndb
+-MSR_DIR=/var/db/clamav/tmp/msr
+ MW_DIR=/var/db/clamav/tmp/malware
+ MW_FILE=mbl.ndb
+ MW_URL=http://www.malwarepatrol.com.br/cgi/submit?action=list_clamav_ext
+ RELOAD=1
+-REST=1
+-SANE=rsync://rsync.sanesecurity.net/sanesecurity
++REST=0
+ SANE_DB=/var/db/clamav/tmp/sane
++SANE=rsync://rsync.sanesecurity.net/sanesecurity
++SCAMP_VERSION=5.4
+ SI_DIR=/var/db/clamav/tmp/securite
+ SYS_LOG=1
+-WPC=1
++T_DIR=/var/db/clamav/tmp
+ W_SUM=1
++WPC=1
+diff -ruN /usr/ports/security/scamp/pkg-descr /usr/ports/local/scamp/pkg-descr
+--- /usr/ports/security/scamp/pkg-descr	2009-04-23 09:20:02.000000000 -0400
++++ /usr/ports/local/scamp/pkg-descr	2013-03-25 18:31:31.000000000 -0400
+@@ -3,7 +3,6 @@
+ 
+ sanesecurity.com
+ malware.com.br
+-msrbl.com
+ clamav.securiteinfo.com
+ 
+ Site Address:
+diff -ruN /usr/ports/security/scamp/pkg-plist /usr/ports/local/scamp/pkg-plist
+--- /usr/ports/security/scamp/pkg-plist	2013-03-25 22:43:52.000000000 -0400
++++ /usr/ports/local/scamp/pkg-plist	2013-04-27 07:09:02.000000000 -0400
+@@ -1,16 +1,11 @@
+-%%PREFIX%%/bin/scamp.sh
++bin/scamp.sh
+ %%PORTDOCS%%%%DOCSDIR%%/CHANGE.LOG
+ %%PORTDOCS%%%%DOCSDIR%%/INSTALL
+ %%PORTDOCS%%%%DOCSDIR%%/README
+ %%PORTDOCS%%%%DOCSDIR%%/Release.pdf
+ %%PORTDOCS%%@dirrm %%DOCSDIR%%
+-%%PREFIX%%/share/licenses/scamp-5.4/BSD
+-%%PREFIX%%/share/licenses/scamp-5.4/LICENSE
+-%%PREFIX%%/share/licenses/scamp-5.4/catalog.mk
+-@dirrm %%PORTDOCS%%%%DOCSDIR%%
+-@dirrm %%ETCDIR%%/scamp
+-@unexec if cmp -s %D/%%ETCDIR%%/default.sample %D/%%ETCDIR%%/default; then rm -f %D/%%ETCDIR%%/default; fi
+-%%ETCDIR%%/default.sample
+-@exec if [ ! -f %D/%%ETCDIR%%/default ] ; then cp -p %D/%F %B/default; fi
+-@exec mkdir -p %D/%%ETCDIR%%
+-@dirrmtry %%ETCDIR%%
++@exec mkdir -p %D/etc/scamp
++@unexec if [ %%PORTDOCS%%%%DOCSDIR%%/Release.html ]; then rm -f %%PORTDOCS%%%%DOCSDIR%%/Release.html; fi
++etc/scamp/default.sample
++@exec if [ ! -f %D/etc/scamp/default ] ; then cp -p %D/%F %B/default; fi
++@dirrmtry etc/scamp