Index: UPDATING
===================================================================
--- UPDATING	(revision 319017)
+++ UPDATING	(working copy)
@@ -5,6 +5,17 @@
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130525:
+  AFFECTS: users of mail/postgrey
+  AUTHOR: Darren Pilgrim <ports.maintainer@evilphi.com>
+
+  The RC script for postgrey has been modified. If you use the
+  default value for postgrey_flags this does not affect you.
+
+  If you have postgrey listening on a unix socket or set any optionall
+  values, please read the comments in the RC scripts and check your
+  settings in rc.conf prior to restarting postgrey.
+
 20130520:
   AFFECTS: users of textproc/elasticsearch
   AUTHOR: tj@FreeBSD.org
Index: mail/postgrey/Makefile
===================================================================
--- mail/postgrey/Makefile	(revision 319017)
+++ mail/postgrey/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	postgrey
 PORTVERSION=	1.34
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	mail
 MASTER_SITES=	http://postgrey.schweikert.ch/pub/ \
 		http://postgrey.schweikert.ch/pub/old/
@@ -23,14 +23,13 @@
 POD2MAN?=	pod2man
 PORTDOCS=	README Changes README.exim
 SUB_FILES=	pkg-install
-SUB_LIST=	USER=${PGY_USERNAME} UID=${PGY_USERID} GROUP=${PGY_GROUPNAME} \
-		GID=${PGY_GROUPID} ETCFILES="${ETCFILES}" \
+SUB_LIST=	USER=${PGY_USERNAME} \
+		GROUP=${PGY_GROUPNAME} \
+		ETCFILES="${ETCFILES}" \
 		POSTGREYDIR=${PGY_DIR}
 ETCFILES=	whitelist_clients whitelist_recipients
 PGY_USERNAME?=	postgrey
-PGY_USERID?=	225
-PGY_GROUPNAME?=	${PGY_USERNAME}
-PGY_GROUPID?=	${PGY_USERID}
+PGY_GROUPNAME?=	postgrey
 PGY_DIR?=	/var/db/postgrey
 
 USERS=		${PGY_USERNAME}
@@ -40,12 +39,10 @@
 USES=		shebangfix
 SHEBANG_FILES=	${WRKSRC}/postgrey
 
-OPTIONS_DEFINE=	DOCS
-OPTIONS_DEFAULT=DOCS
-
 .include <bsd.port.options.mk>
 
 post-patch:
+	@${REINPLACE_CMD} -e 's#nogroup#${PGY_GROUPNAME}#' ${WRKSRC}/postgrey
 	@${REINPLACE_CMD} -e 's#/etc/main.cf#/etc/postfix/main.cf#' ${WRKSRC}/postgrey
 	@${REINPLACE_CMD} -e 's#/etc/postfix#${PREFIX}&#' ${WRKSRC}/postgrey ${WRKSRC}/postgrey_whitelist_*
 	@${REINPLACE_CMD} -e 's#/var/spool/postfix/postgrey#${PGY_DIR}#' ${WRKSRC}/postgrey ${WRKSRC}/contrib/postgreyreport
Index: mail/postgrey/files/pkg-install.in
===================================================================
--- mail/postgrey/files/pkg-install.in	(revision 319017)
+++ mail/postgrey/files/pkg-install.in	(working copy)
@@ -7,15 +7,10 @@
 case $2 in
 
 PRE-INSTALL)
-  echo "---> Starting install script:"
-
-  if [ -z "%%POSTGREYDIR%%" -o \
-       -z "%%USER%%" -o -z "%%GROUP%%" -o \
-       -z "%%UID%%" -o -z "%%GID%%" ]; then
+  if [ -z "%%POSTGREYDIR%%" -o -z "%%USER%%" -o -z "%%GROUP%%" ]; then
     echo "ERROR: A required pragma was empty"
     exit 1
   fi
-
   ;;
 
 POST-INSTALL)
Index: mail/postgrey/files/postgrey.in
===================================================================
--- mail/postgrey/files/postgrey.in	(revision 319017)
+++ mail/postgrey/files/postgrey.in	(working copy)
@@ -7,41 +7,37 @@
 # BEFORE: mail
 # KEYWORD: shutdown
 
-#
 # Add the following lines to /etc/rc.conf to enable postgrey:
 #
-# postgrey_enable="YES"
+# postgrey_enable (bool)        Set to 'YES' to enable
+#                               Default: NO
+# postgrey_dbdir (path)         Location of postgrey database files.
+#                               Default: /var/db/postgrey
+# postgrey_flags (extra args)   Additional command-line parameters.
+#                               Default: --inet=10023
 #
-# See perldoc postgrey for flags
+# Note:
 #
+# postgrey_flags must include a --inet or --unix option or postgrey will
+# not run.  Change the --dbdir option with postgrey_dbdir.  Please see
+# the postgrey(1) man page or perldoc postgrey for more information.
 
 . /etc/rc.subr
 
 name=postgrey
-rcvar=postgrey_enable
 
-command=%%PREFIX%%/sbin/postgrey
-required_dirs=/var/db/postgrey
-extra_commands=reload
+load_rc_config $name
 
-stop_postcmd=stop_postcmd
+: ${postgrey_enable:=NO}
+: ${postgrey_dbdir:=/var/db/postgrey}
+: ${postgrey_flags:=--inet=10023}
 
-stop_postcmd()
-{
-  rm -f $pidfile
-}
+command=%%PREFIX%%/sbin/postgrey
+pidfile=/var/run/postgrey.pid
+required_dirs=${postgrey_dbdir}
 
-# set defaults
+command_args="-d --pidfile=${pidfile} --dbdir=${postgrey_dbdir}"
 
-load_rc_config $name
+stop_postcmd="rm -f ${pidfile}"
 
-postgrey_enable=${postgrey_enable:-"NO"}
-postgrey_greylist_header=${postgrey_greylist_header:-"X-Greylist: delayed %t seconds by postgrey-%v at %h\; %d"}
-postgrey_pidfile=${postgrey_pidfile:-"/var/run/postgrey.pid"}
-postgrey_flags=${postgrey_flags:-"--pidfile=${postgrey_pidfile} \
-	--inet=10023 -d --user=%%USER%% --group=%%GROUP%% --dbdir=/var/db/postgrey \
-	--x-greylist-header=${postgrey_greylist_header}"}
-
-pidfile="${postgrey_pidfile}"
-
 run_rc_command "$1"
Index: mail/postgrey/pkg-message
===================================================================
--- mail/postgrey/pkg-message	(revision 0)
+++ mail/postgrey/pkg-message	(working copy)
@@ -0,0 +1,7 @@
+
+ATTENTION
+
+The startup script for postgrey will make it listen on TCP port
+10023 by default. If you want to use a different setting, please
+read the comments in the RC script and set the appropriate settings
+via rc.conf before starting postgrey.