===> Generating patch
===> Viewing diff with more
diff -ruN /usr/ports/games/holotz-castle/Makefile ./Makefile
--- /usr/ports/games/holotz-castle/Makefile	2013-06-02 18:54:53.000000000 +0200
+++ ./Makefile	2013-06-18 19:09:07.000000000 +0200
@@ -3,11 +3,13 @@
 
 PORTNAME=	holotz-castle
 PORTVERSION=	1.3.14
+PORTREVISION=	1
 CATEGORIES=	games
-MASTER_SITES=	http://www.mainreactor.net/holotzcastle/download/ \
-		SF/nemysisfreebsdp/:icons
+MASTER_SITES=	SF/nemysisfreebsdp/holotz-castle/
 DISTFILES=	${PORTNAME}-${DISTVERSION}-src${EXTRACT_SUFX} \
-		${PORTNAME}_icons${EXTRACT_SUFX}:icons
+		${PORTNAME}_icons${EXTRACT_SUFX}
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}-src${EXTRACT_SUFX} \
+		${PORTNAME}_icons${EXTRACT_SUFX}
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Platform game with high doses of mystery
@@ -28,11 +30,30 @@
 INSTALLS_ICONS=	yes
 ICON_SIZES=	32x32 48x48 64x64 72x72 96x96 128x128
 
-SUB_FILES=	pkg-message
+SUB_FILES=	pkg-message ${PORTNAME}-solutions
 
 DESKTOP_ENTRIES="Holotz's Castle" "${COMMENT}" ${PORTNAME} \
 		"${PORTNAME}" "Game;LogicGame;" false
 
+DESKTOP_ENTRIES="Holotz's Castle Solutions" "${COMMENT}" ${PORTNAME} \
+		"xterm -e ${PORTNAME}-solutions" "Game;LogicGame;" false
+
+OPTIONS_DEFINE=	SOLUTIONS
+OPTIONS_DEFAULT=SOLUTIONS
+SOLUTIONS_DESC=	Solutions for Holotz's Castle
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MSOLUTIONS}
+DISTFILES+=	${PORTNAME}_solutions${EXTRACT_SUFX}
+EXTRACT_ONLY+=	${PORTNAME}_solutions${EXTRACT_SUFX}
+RUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer \
+		xterm:${PORTSDIR}/x11/xterm
+PLIST_SUB+=	SOLUTIONS=""
+.else
+PLIST_SUB+=	SOLUTIONS="@comment "
+.endif
+
 post-install:
 .for s in ${ICON_SIZES}
 	${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
@@ -42,8 +63,13 @@
 	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps
 	(cd ${WRKSRC}/man && ${INSTALL_MAN} ${MAN6} ${MAN6PREFIX}/man/man6)
 
+.if ${PORT_OPTIONS:MSOLUTIONS}
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}-solutions ${PREFIX}/bin
+	@${MKDIR} ${DATADIR}/solutions
+	@(cd ${WRKDIR} ; ${INSTALL_DATA} *.avi ${DATADIR}/solutions)
 	@${ECHO_CMD}
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO_CMD}
+.endif
 
 .include <bsd.port.mk>
diff -ruN /usr/ports/games/holotz-castle/distinfo ./distinfo
--- /usr/ports/games/holotz-castle/distinfo	2013-06-02 18:54:53.000000000 +0200
+++ ./distinfo	2013-06-18 17:45:12.000000000 +0200
@@ -2,3 +2,5 @@
 SIZE (holotz-castle-1.3.14-src.tar.gz) = 3691364
 SHA256 (holotz-castle_icons.tar.gz) = 5ca3aee3d7abddbb8baff9961460497c0a2ec8418570c755f2df581f5605960b
 SIZE (holotz-castle_icons.tar.gz) = 35328
+SHA256 (holotz-castle_solutions.tar.gz) = c4fd9c02c82fde1d0c63c94495ce2b47142ab2741b81742527a02c76edc70cc4
+SIZE (holotz-castle_solutions.tar.gz) = 129568789
diff -ruN /usr/ports/games/holotz-castle/files/holotz-castle-solutions.in ./files/holotz-castle-solutions.in
--- /usr/ports/games/holotz-castle/files/holotz-castle-solutions.in	1970-01-01 01:00:00.000000000 +0100
+++ ./files/holotz-castle-solutions.in	2013-06-18 16:44:13.000000000 +0200
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+echo ""
+echo -n  "Which Solution for Holotz's Castle would You see?"
+cd %%DATADIR%%/solutions
+echo ""
+echo ""
+ls
+echo ""
+read SOLUTIONS
+
+mplayer "%%DATADIR%%/solutions/$SOLUTIONS"
+
diff -ruN /usr/ports/games/holotz-castle/files/pkg-message.in ./files/pkg-message.in
--- /usr/ports/games/holotz-castle/files/pkg-message.in	2013-06-02 18:54:53.000000000 +0200
+++ ./files/pkg-message.in	2013-06-18 17:57:12.000000000 +0200
@@ -2,8 +2,8 @@
 
 Holotz's Castle has been installed.
 
-You can download the solutions to some Levels from here
+You can look some Solutions for Holotz's Castle with
 
-http://www.mainreactor.net/holotzcastle/en/holotzcastle_en.html#SOLUTIONS
+     %%PREFIX%%/bin/holotz-castle-solutions
 
 ===============================================================================
diff -ruN /usr/ports/games/holotz-castle/pkg-descr ./pkg-descr
--- /usr/ports/games/holotz-castle/pkg-descr	2013-06-02 18:54:53.000000000 +0200
+++ ./pkg-descr	2013-06-18 13:28:37.000000000 +0200
@@ -6,4 +6,4 @@
 
 Test your dexterity with this tremendously exciting platform game!
 
-WWW: http://www.mainreactor.net/holotzcastle/en/index_en.html
+WWW: http://web.archive.org/web/20130606213511/http://mainreactor.net/
diff -ruN /usr/ports/games/holotz-castle/pkg-plist ./pkg-plist
--- /usr/ports/games/holotz-castle/pkg-plist	2013-06-02 18:54:53.000000000 +0200
+++ ./pkg-plist	2013-06-18 16:13:59.000000000 +0200
@@ -1,5 +1,6 @@
 bin/holotz-castle
 bin/holotz-castle-editor
+%%SOLUTIONS%%bin/holotz-castle-solutions
 %%DATADIR%%/editor/EnemyMenu/0.tga
 %%DATADIR%%/editor/EnemyMenu/0_hi.tga
 %%DATADIR%%/editor/EnemyMenu/1.tga
@@ -1324,6 +1325,28 @@
 %%DATADIR%%/game/theme/dungeons/rope/2/edge.tga
 %%DATADIR%%/game/theme/dungeons/rope/2/middle.tga
 %%DATADIR%%/game/theme/dungeons/rope/2/top.tga
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_03.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_04.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_05.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_06.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_08.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_09.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_10.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_11.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_12.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_13.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_15.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_17.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_18.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_21.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_22.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_23.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_24.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_26.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_27.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_28.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_29.avi
+%%SOLUTIONS%%%%DATADIR%%/solutions/holotz_castle_high_31.avi
 share/icons/hicolor/128x128/apps/holotz-castle.png
 share/icons/hicolor/32x32/apps/holotz-castle.png
 share/icons/hicolor/48x48/apps/holotz-castle.png
@@ -1331,6 +1354,7 @@
 share/icons/hicolor/72x72/apps/holotz-castle.png
 share/icons/hicolor/96x96/apps/holotz-castle.png
 share/pixmaps/holotz-castle.png
+%%SOLUTIONS%%@dirrm %%DATADIR%%/solutions
 @dirrm %%DATADIR%%/game/theme/dungeons/rope/2
 @dirrm %%DATADIR%%/game/theme/dungeons/rope/1
 @dirrm %%DATADIR%%/game/theme/dungeons/rope
===> Done