===> Generating patch
===> Viewing diff with more
diff -ruN /usr/ports/sysutils/lxinput/Makefile ./Makefile
--- /usr/ports/sysutils/lxinput/Makefile	2013-06-18 18:26:44.000000000 +0200
+++ ./Makefile	2013-06-19 03:51:20.000000000 +0200
@@ -2,22 +2,24 @@
 # $FreeBSD: head/sysutils/lxinput/Makefile 321199 2013-06-18 15:55:34Z kmoore $
 
 PORTNAME=	lxinput
-PORTVERSION=	0.3.1
-PORTREVISION=	1
+PORTVERSION=	0.3.2
 CATEGORIES=	sysutils
-MASTER_SITES=	SF/lxde/LXInput%20%28Kbd%20and%20amp_%20mouse%20config%29/LXInput%200.3.1
+MASTER_SITES=	SF/lxde/LXInput%20%28Kbd%20and%20amp_%20mouse%20config%29/LXInput%200.3.2/
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A keyboard and mouse config tool from the LXDE project
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Keyboard and mouse config tool from the LXDE project
 
-USE_GNOME=	gtk20 intlhack
-USE_GMAKE=	yes
 USES=		iconv
+USE_GNOME=	gtk20 intlhack
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 CONFIGURE_ARGS=	--prefix=${PREFIX}
+USE_GMAKE=	yes
+
 MAN1=		lxinput.1
 
+OPTIONS_DEFINE=	NLS
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
@@ -30,4 +32,10 @@
 PLIST_SUB+=	NLS="@comment "
 .endif
 
+post-patch:
+.if ! ${PORT_OPTIONS:MNLS}
+	@${REINPLACE_CMD} -e 's|po man|man|' \
+		${WRKSRC}/Makefile.in
+.endif
+
 .include <bsd.port.mk>
diff -ruN /usr/ports/sysutils/lxinput/distinfo ./distinfo
--- /usr/ports/sysutils/lxinput/distinfo	2013-06-02 18:58:36.000000000 +0200
+++ ./distinfo	2013-06-18 19:29:40.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (lxinput-0.3.1.tar.gz) = b30f3be6cd250d548d40f9d2dcc5882ad5a2fe233149e90b96eab5b6e6e0a256
-SIZE (lxinput-0.3.1.tar.gz) = 257204
+SHA256 (lxinput-0.3.2.tar.gz) = 481622f9f73c7d622a712df55d509a18805758ee002cbbc36efbd73bedd8205f
+SIZE (lxinput-0.3.2.tar.gz) = 259203
diff -ruN /usr/ports/sysutils/lxinput/pkg-plist ./pkg-plist
--- /usr/ports/sysutils/lxinput/pkg-plist	2013-06-02 18:58:36.000000000 +0200
+++ ./pkg-plist	2013-06-18 19:33:32.000000000 +0200
@@ -1,4 +1,5 @@
 bin/lxinput
+share/applications/lxinput.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/ast/LC_MESSAGES/lxinput.mo
@@ -12,6 +13,7 @@
 %%NLS%%share/locale/de/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/el/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/lxinput.mo
+%%NLS%%share/locale/eo/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/es/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/es_VE/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/et/LC_MESSAGES/lxinput.mo
@@ -28,6 +30,7 @@
 %%NLS%%share/locale/id/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/it/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/lxinput.mo
+%%NLS%%share/locale/kk/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/lg/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/lxinput.mo
@@ -45,42 +48,52 @@
 %%NLS%%share/locale/si/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/lxinput.mo
-%%NLS%%share/locale/sr@latin/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/lxinput.mo
+%%NLS%%share/locale/sr@latin/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/te/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/th/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/tt_RU/LC_MESSAGES/lxinput.mo
+%%NLS%%share/locale/ug/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/uk/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/ur/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/ur_PK/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/lxinput.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/lxinput.mo
-share/applications/lxinput.desktop
-share/lxinput/lxinput.ui
-share/lxinput/input-mouse.png
-share/lxinput/input-keyboard.png
-@dirrm share/lxinput
-@dirrmtry share/applications
-%%NLS%%@dirrmtry share/locale/ast/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/ast
-%%NLS%%@dirrmtry share/locale/es_VE/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/es_VE
-%%NLS%%@dirrmtry share/locale/fo/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/fo
-%%NLS%%@dirrmtry share/locale/frp/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/frp
-%%NLS%%@dirrmtry share/locale/lg/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/lg
-%%NLS%%@dirrmtry share/locale/si/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/si
-%%NLS%%@dirrmtry share/locale/sr@latin/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/sr@latin
-%%NLS%%@dirrmtry share/locale/te/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/te
-%%NLS%%@dirrmtry share/locale/tt_RU/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/tt_RU
+%%DATADIR%%/input-keyboard.png
+%%DATADIR%%/input-mouse.png
+%%DATADIR%%/lxinput.ui
+@dirrm %%DATADIR%%
 %%NLS%%@dirrmtry share/locale/ur_PK/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ur_PK
+%%NLS%%@dirrmtry share/locale/ur/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ur
+%%NLS%%@dirrmtry share/locale/ug/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ug
+%%NLS%%@dirrmtry share/locale/tt_RU/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/tt_RU
+%%NLS%%@dirrmtry share/locale/te/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/te
+%%NLS%%@dirrmtry share/locale/sr@latin/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/sr@latin
+%%NLS%%@dirrmtry share/locale/si/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/si
+%%NLS%%@dirrmtry share/locale/ps/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ps
+%%NLS%%@dirrmtry share/locale/lg/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/lg
+%%NLS%%@dirrmtry share/locale/kk/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/kk
+%%NLS%%@dirrmtry share/locale/frp/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/frp
+%%NLS%%@dirrmtry share/locale/fo/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/fo
+%%NLS%%@dirrmtry share/locale/es_VE/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/es_VE
+%%NLS%%@dirrmtry share/locale/bn_IN/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/bn_IN
+%%NLS%%@dirrmtry share/locale/ast/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ast
+@dirrmtry share/applications
===> Done