Index: Makefile
===================================================================
--- Makefile	(revision 343248)
+++ Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	prosody
-PORTVERSION=	0.8.2
+PORTVERSION=	0.9.2
 CATEGORIES=	net-im
 MASTER_SITES=	http://prosody.im/downloads/source/ \
 				http://redundancy.redundancy.org/mirror/
@@ -10,6 +10,8 @@
 MAINTAINER=	lx@FreeBSD.org
 COMMENT=	A simple extensible XMPP server written in Lua
 
+LICENSE=	MIT
+
 RUN_DEPENDS=	${LUA_MODLIBDIR}/socket/core.so:${PORTSDIR}/net/luasocket \
 		${LUA_MODLIBDIR}/ssl.so:${PORTSDIR}/security/luasec \
 		${LUA_MODLIBDIR}/lxp.so:${PORTSDIR}/textproc/luaexpat \
@@ -34,9 +36,7 @@
 NO_STAGE=	yes
 pre-install:
 	${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-	${REINPLACE_CMD} -e 's|/usr/bin/env lua|${LUA_CMD}|' ${WRKSRC}/prosody ${WRKSRC}/prosodyctl
-	${RM} ${WRKSRC}/certs/localhost.*
-	cd ${WRKSRC}/certs && ${GMAKE} localhost.cert
+	${REINPLACE_CMD} -e 's|/usr/bin/env lua|${LUA_CMD}|' ${WRKSRC}/prosody.install ${WRKSRC}/prosodyctl.install
 
 post-install:
 	${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
Index: distinfo
===================================================================
--- distinfo	(revision 343248)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (prosody-0.8.2.tar.gz) = d0315150f8487fc960adf56ce057985428679975f9c6f3fcf424832d24eaae60
-SIZE (prosody-0.8.2.tar.gz) = 212170
+SHA256 (prosody-0.9.2.tar.gz) = a2df64d23b7853a9f03126750d33b98193c93b8331b2622d9ebf1fe54f8feb2d
+SIZE (prosody-0.9.2.tar.gz) = 264196
Index: files/patch-Makefile
===================================================================
--- files/patch-Makefile	(revision 343248)
+++ files/patch-Makefile	(working copy)
@@ -1,5 +1,5 @@
---- ./Makefile.orig	2011-04-05 15:47:05.000000000 +0200
-+++ ./Makefile	2011-04-10 18:09:24.000000000 +0200
+--- Makefile.orig	2013-12-08 19:05:39.000000000 +0100
++++ Makefile	2014-02-06 23:24:12.000000000 +0100
 @@ -6,7 +6,7 @@
  MODULES = $(DESTDIR)$(PREFIX)/lib/prosody/modules
  SOURCE = $(DESTDIR)$(PREFIX)/lib/prosody
@@ -9,18 +9,11 @@
  
  INSTALLEDSOURCE = $(PREFIX)/lib/prosody
  INSTALLEDCONFIG = $(SYSCONFDIR)
-@@ -33,11 +33,12 @@
- 	install -m644 plugins/*.lua $(MODULES)
- 	install -d $(MODULES)/muc
- 	install -m644 plugins/muc/* $(MODULES)/muc
--	install -m644 certs/* $(CONFIG)/certs
-+	install -m644 certs/localhost.cert $(CONFIG)/certs/localhost.cert.sample
-+	install -m644 certs/localhost.key $(CONFIG)/certs/localhost.key.sample
- 	install -d $(MODULES)/adhoc
- 	install -m644 plugins/adhoc/*.lua $(MODULES)/adhoc
+@@ -40,6 +40,7 @@
+ 	umask 0022 && cp -r plugins/* $(MODULES)
+ 	install -m644 certs/* $(CONFIG)/certs
  	install -m644 man/prosodyctl.man $(MAN)/man1/prosodyctl.1
--	test -e $(CONFIG)/prosody.cfg.lua || install -m644 prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua
 +	install -m644 prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua.sample
- 	test -e prosody.version && install prosody.version $(SOURCE)/prosody.version || true
+ 	test -e $(CONFIG)/prosody.cfg.lua || install -m644 prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua
+ 	test -e prosody.version && install -m644 prosody.version $(SOURCE)/prosody.version || true
  	$(MAKE) install -C util-src
- 
Index: files/patch-certs-Makefile
===================================================================
--- files/patch-certs-Makefile	(revision 343248)
+++ files/patch-certs-Makefile	(working copy)
@@ -1,25 +0,0 @@
---- certs/Makefile.orig	2011-06-27 15:22:39.024815105 -0700
-+++ certs/Makefile	2011-06-27 15:24:55.275832762 -0700
-@@ -2,13 +2,13 @@
- keysize=2048
- 
- # How to:
--# First, `make yourhost.cnf` which creates a openssl config file.
-+# First, `gmake yourhost.cnf` which creates a openssl config file.
- # Then edit this file and fill in the details you want it to have,
- # and add or change hosts and components it should cover.
--# Then `make yourhost.key` to create your private key, you can
-+# Then `gmake yourhost.key` to create your private key, you can
- # include keysize=number to change the size of the key.
--# Then you can either `make yourhost.csr` to generate a certificate
--# signing request that you can submit to a CA, or `make yourhost.cert`
-+# Then you can either `gmake yourhost.csr` to generate a certificate
-+# signing request that you can submit to a CA, or `gmake yourhost.cert`
- # to generate a self signed certificate.
- 
- .PRECIOUS: %.cnf %.key
-@@ -28,3 +28,4 @@
- %.key:
- 	openssl genrsa $(keysize) > $@
- 	@chmod 400 $@
-+	@chown prosody:prosody $@
Index: files/patch-configure
===================================================================
--- files/patch-configure	(revision 343248)
+++ files/patch-configure	(working copy)
@@ -1,10 +1,17 @@
---- ./configure.orig	2011-04-05 15:47:05.000000000 +0200
-+++ ./configure	2011-04-10 18:09:24.000000000 +0200
-@@ -2,7 +2,6 @@
+--- configure.orig	2013-12-08 19:05:39.000000000 +0100
++++ configure	2014-02-06 22:21:15.000000000 +0100
+@@ -13,11 +13,11 @@
+ IDN_LIB=idn
+ ICU_FLAGS="-licui18n -licudata -licuuc"
+ OPENSSL_LIB=crypto
+-CC=gcc
++CC=cc
+ CXX=g++
+-LD=gcc
++LD=cc
+ RUNWITH=lua
+-EXCERTS=yes
++EXCERTS=no
  
- # Defaults
- 
--PREFIX=/usr/local
- SYSCONFDIR="$PREFIX/etc/prosody"
- DATADIR="$PREFIX/var/lib/prosody"
- LUA_SUFFIX=""
+ CFLAGS="-fPIC -Wall"
+ LDFLAGS="-shared"
Index: files/patch-prosody.cfg.lua.dist
===================================================================
--- files/patch-prosody.cfg.lua.dist	(revision 343248)
+++ files/patch-prosody.cfg.lua.dist	(working copy)
@@ -1,11 +0,0 @@
---- prosody.cfg.lua.dist.orig	2011-04-11 13:21:41.498385123 -0700
-+++ prosody.cfg.lua.dist	2011-04-11 13:21:51.387828331 -0700
-@@ -59,7 +59,7 @@
- 		--"admin_telnet"; -- Opens telnet console interface on localhost port 5582
- 
- 	-- Other specific functionality
--		--"posix"; -- POSIX functionality, sends server to background, enables syslog, etc.
-+		"posix"; -- POSIX functionality, sends server to background, enables syslog, etc.
- 		--"bosh"; -- Enable BOSH clients, aka "Jabber over HTTP"
- 		--"httpserver"; -- Serve static files from a directory over HTTP
- 		--"groups"; -- Shared roster support
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 343248)
+++ pkg-plist	(working copy)
@@ -3,12 +3,6 @@
 @unexec if cmp -s %D/etc/prosody/prosody.cfg.lua.sample %D/etc/prosody/prosody.cfg.lua; then rm -f %D/etc/prosody/prosody.cfg.lua; fi
 etc/prosody/prosody.cfg.lua.sample
 @exec if [ ! -f %D/etc/prosody/prosody.cfg.lua ]; then cp -p %D/etc/prosody/prosody.cfg.lua.sample %D/etc/prosody/prosody.cfg.lua; fi
-@unexec if cmp -s %D/etc/prosody/certs/localhost.cert.sample %D/etc/prosody/certs/localhost.cert; then rm -f %D/etc/prosody/certs/localhost.cert; fi
-etc/prosody/certs/localhost.cert.sample
-@exec if [ ! -f %D/etc/prosody/certs/localhost.cert ]; then cp -p %D/etc/prosody/certs/localhost.cert.sample %D/etc/prosody/certs/localhost.cert; fi
-@unexec if cmp -s %D/etc/prosody/certs/localhost.key.sample %D/etc/prosody/certs/localhost.key; then rm -f %D/etc/prosody/certs/localhost.key; fi
-etc/prosody/certs/localhost.key.sample
-@exec if [ ! -f %D/etc/prosody/certs/localhost.key ]; then cp -p %D/etc/prosody/certs/localhost.key.sample %D/etc/prosody/certs/localhost.key; fi
 @dirrmtry etc/prosody/certs
 @dirrmtry etc/prosody
 lib/prosody/core/certmanager.lua
@@ -15,8 +9,10 @@
 lib/prosody/core/configmanager.lua
 lib/prosody/core/hostmanager.lua
 lib/prosody/core/loggingmanager.lua
+lib/prosody/core/moduleapi.lua
 lib/prosody/core/modulemanager.lua
 lib/prosody/core/rostermanager.lua
+lib/prosody/core/portmanager.lua
 lib/prosody/core/s2smanager.lua
 lib/prosody/core/sessionmanager.lua
 lib/prosody/core/stanza_router.lua
@@ -28,9 +24,16 @@
 lib/prosody/modules/mod_auth_cyrus.lua
 lib/prosody/modules/mod_auth_internal_hashed.lua
 lib/prosody/modules/mod_auth_internal_plain.lua
+lib/prosody/modules/mod_c2s.lua
+lib/prosody/modules/mod_http.lua
+lib/prosody/modules/mod_http_errors.lua
+lib/prosody/modules/mod_http_files.lua
 lib/prosody/modules/mod_motd.lua
+lib/prosody/modules/mod_net_multiplex.lua
 lib/prosody/modules/mod_offline.lua
+lib/prosody/modules/mod_pubsub.lua
 lib/prosody/modules/mod_storage_internal.lua
+lib/prosody/modules/mod_storage_none.lua
 lib/prosody/modules/mod_storage_sql.lua
 lib/prosody/modules/mod_announce.lua
 lib/prosody/modules/mod_bosh.lua
@@ -39,7 +42,6 @@
 lib/prosody/modules/mod_dialback.lua
 lib/prosody/modules/mod_disco.lua
 lib/prosody/modules/mod_groups.lua
-lib/prosody/modules/mod_httpserver.lua
 lib/prosody/modules/mod_iq.lua
 lib/prosody/modules/mod_lastactivity.lua
 lib/prosody/modules/mod_legacyauth.lua
@@ -61,56 +63,66 @@
 lib/prosody/modules/mod_version.lua
 lib/prosody/modules/mod_watchregistrations.lua
 lib/prosody/modules/mod_welcome.lua
+lib/prosody/modules/sql.lib.lua
+lib/prosody/modules/adhoc/adhoc.lib.lua
+lib/prosody/modules/adhoc/mod_adhoc.lua
+lib/prosody/modules/mod_s2s/mod_s2s.lua
+lib/prosody/modules/mod_s2s/s2sout.lib.lua
 lib/prosody/modules/muc/mod_muc.lua
 lib/prosody/modules/muc/muc.lib.lua
-lib/prosody/modules/adhoc/adhoc.lib.lua
-lib/prosody/modules/adhoc/mod_adhoc.lua
+lib/prosody/modules/storage/mod_xep0227.lua
+lib/prosody/modules/storage/sqlbasic.lib.lua
+lib/prosody/modules/storage/xep227store.lib.lua
 lib/prosody/net/adns.lua
 lib/prosody/net/connlisteners.lua
 lib/prosody/net/dns.lua
 lib/prosody/net/http.lua
-lib/prosody/net/httpclient_listener.lua
 lib/prosody/net/httpserver.lua
-lib/prosody/net/httpserver_listener.lua
-lib/prosody/net/multiplex_listener.lua
 lib/prosody/net/server.lua
 lib/prosody/net/server_event.lua
 lib/prosody/net/server_select.lua
-lib/prosody/net/xmppclient_listener.lua
-lib/prosody/net/xmppcomponent_listener.lua
-lib/prosody/net/xmppserver_listener.lua
+lib/prosody/net/http/codes.lua
+lib/prosody/net/http/parser.lua
+lib/prosody/net/http/server.lua
 lib/prosody/prosody.version
+lib/prosody/util/adhoc.lua
 lib/prosody/util/array.lua
-lib/prosody/util/broadcast.lua
+lib/prosody/util/caps.lua
 lib/prosody/util/dataforms.lua
 lib/prosody/util/datamanager.lua
 lib/prosody/util/datetime.lua
+lib/prosody/util/debug.lua
 lib/prosody/util/dependencies.lua
 lib/prosody/util/encodings.so
+lib/prosody/util/envload.lua
 lib/prosody/util/events.lua
+lib/prosody/util/filters.lua
 lib/prosody/util/hashes.so
 lib/prosody/util/helpers.lua
 lib/prosody/util/hmac.lua
+lib/prosody/util/http.lua
 lib/prosody/util/import.lua
+lib/prosody/util/ip.lua
 lib/prosody/util/iterators.lua
 lib/prosody/util/jid.lua
+lib/prosody/util/json.lua
 lib/prosody/util/logger.lua
 lib/prosody/util/multitable.lua
+lib/prosody/util/net.so
+lib/prosody/util/openssl.lua
 lib/prosody/util/pluginloader.lua
 lib/prosody/util/pposix.so
 lib/prosody/util/prosodyctl.lua
-lib/prosody/util/caps.lua
-lib/prosody/util/filters.lua
-lib/prosody/util/httpstream.lua
-lib/prosody/util/json.lua
+lib/prosody/util/pubsub.lua
+lib/prosody/util/rfc6724.lua
+lib/prosody/util/sasl.lua
+lib/prosody/util/sql.lua
 lib/prosody/util/template.lua
+lib/prosody/util/throttle.lua
+lib/prosody/util/watchdog.lua
+lib/prosody/util/x509.lua
+lib/prosody/util/xml.lua
 lib/prosody/util/xmppstream.lua
-lib/prosody/util/sasl.lua
-lib/prosody/util/sasl/anonymous.lua
-lib/prosody/util/sasl/digest-md5.lua
-lib/prosody/util/sasl/plain.lua
-lib/prosody/util/sasl/scram.lua
-lib/prosody/util/sasl_cyrus.lua
 lib/prosody/util/serialization.lua
 lib/prosody/util/set.lua
 lib/prosody/util/signal.so
@@ -118,12 +130,19 @@
 lib/prosody/util/termcolours.lua
 lib/prosody/util/timer.lua
 lib/prosody/util/uuid.lua
-lib/prosody/util/xmlrpc.lua
+lib/prosody/util/sasl/anonymous.lua
+lib/prosody/util/sasl/digest-md5.lua
+lib/prosody/util/sasl/plain.lua
+lib/prosody/util/sasl/scram.lua
+lib/prosody/util/sasl_cyrus.lua
 @dirrm lib/prosody/util/sasl
 @dirrm lib/prosody/util
+@dirrm lib/prosody/net/http
 @dirrm lib/prosody/net
 @dirrm lib/prosody/modules/adhoc
+@dirrm lib/prosody/modules/mod_s2s
 @dirrm lib/prosody/modules/muc
+@dirrm lib/prosody/modules/storage
 @dirrm lib/prosody/modules
 @dirrm lib/prosody/core
 @dirrm lib/prosody