diff --git a/audio/timidity/Makefile b/audio/timidity/Makefile
index 353c944..dd49813 100644
--- a/audio/timidity/Makefile
+++ b/audio/timidity/Makefile
@@ -9,7 +9,7 @@ MASTER_SITES=	http://www.onicos.com/staff/iz/timidity/dist/:timidity	\
 DISTFILES=	${TIINS}:tiins ${DISTNAME}.tar.gz:timidity
 EXTRACT_ONLY=	${DISTNAME}.tar.gz
 
-MAINTAINER=	kevinz5000@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI to PCM software synthesizer
 
 CONFLICTS=	timidity++-2.13.*
diff --git a/cad/gspiceui/Makefile b/cad/gspiceui/Makefile
index 8280246..d0fd6fc 100644
--- a/cad/gspiceui/Makefile
+++ b/cad/gspiceui/Makefile
@@ -12,6 +12,7 @@ MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	GUI frontend to gnucap and ngspice circuit simulators
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/License
 
 RUN_DEPENDS=	# none if no options are set
 
@@ -27,19 +28,17 @@ OPTIONS_DEFAULT=	NGSPICE
 
 USE_WX=		2.6+
 WX_UNICODE=	yes
-USE_GCC=	yes
-USE_GMAKE=	yes
+USES=		gmake
 
 DESKTOP_ENTRIES=	"GSpiceUI" "Circuit Simulator GUI" \
 			"${PREFIX}/share/pixmaps/gspiceui-48x48.xpm" \
 			"gspiceui" "Science;Electronics;" false
 
-MAN1=		gspiceui.1
 PORTDOCS=	*
 PORTEXAMPLES=	*
-PLIST_FILES=	bin/gspiceui share/pixmaps/gspiceui-48x48.xpm
+PLIST_FILES=	bin/gspiceui share/pixmaps/gspiceui-48x48.xpm \
+		man/man1/gspiceui.1.gz
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGNUCAP}
@@ -61,21 +60,21 @@ post-patch:
 		${WRKSRC}/src/main/HelpTasks.cpp
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/gspiceui ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/bin/gspiceui ${STAGEDIR}${PREFIX}/bin
 	${INSTALL_DATA} ${WRKSRC}/src/icons/gspiceui-48x48.xpm \
-	    ${PREFIX}/share/pixmaps
-	${INSTALL_MAN} ${WRKSRC}/gspiceui.1 ${MANPREFIX}/man/man1
+	    ${STAGEDIR}${PREFIX}/share/pixmaps
+	${INSTALL_MAN} ${WRKSRC}/gspiceui.1 ${STAGEDIR}${MANPREFIX}/man/man1
 .if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for dir in html
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${dir} ${DOCSDIR} \
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${dir} ${STAGEDIR}${DOCSDIR} \
 		"! -name Makefile")
 .endfor
 .endif
 .if ${PORT_OPTIONS:MEXAMPLES}
-	@${MKDIR} ${EXAMPLESDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 .for dir in lib sch
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${dir} ${EXAMPLESDIR} \
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${dir} ${STAGEDIR}${EXAMPLESDIR} \
 		"! -name Makefile")
 .endfor
 .endif
diff --git a/cad/ngspice_rework/Makefile b/cad/ngspice_rework/Makefile
index 2e7d707..40fe914 100644
--- a/cad/ngspice_rework/Makefile
+++ b/cad/ngspice_rework/Makefile
@@ -10,14 +10,12 @@ DISTNAME=	ngspice-${PORTVERSION}
 MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	Mixed-signal circuit simulator derived from Spice and Cider
 
-OPTIONS_DEFINE=	DEBUG
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 GNU_CONFIGURE=	yes
 USES=		gmake
 
-DEBUG_CONFIGURE_ENABLE=	debig
-
-CONFIGURE_ARGS+=--enable-xspice \
-		--with-readline=yes
+DEBUG_CONFIGURE_ENABLE=	debug
+CONFIGURE_ARGS+=	--enable-xspice --with-readline=yes
 
 .include <bsd.port.mk>
diff --git a/cad/ngspice_rework/pkg-plist b/cad/ngspice_rework/pkg-plist
index ee1a13d..f6dd7429b 100644
--- a/cad/ngspice_rework/pkg-plist
+++ b/cad/ngspice_rework/pkg-plist
@@ -1,4 +1,24 @@
-share/ngspice/include/ngspice/tclspice.h
+bin/cmpp
+bin/ngmakeidx
+bin/ngmultidec
+bin/ngnutmeg
+bin/ngproc2mod
+bin/ngsconvert
+bin/ngspice
+lib/ngspice/analog.cm
+lib/ngspice/digital.cm
+lib/ngspice/spice2poly.cm
+lib/ngspice/xtradev.cm
+lib/ngspice/xtraevt.cm
+man/man1/ngmultidec.1.gz
+man/man1/ngnutmeg.1.gz
+man/man1/ngsconvert.1.gz
+man/man1/ngspice.1.gz
+share/ngspice/dlmain.c
+share/ngspice/helpdir/ngspice.idx
+share/ngspice/helpdir/ngspice.txt
+share/ngspice/include/ngspice/1-f-code.h
+share/ngspice/include/ngspice/FastNorm3.h
 share/ngspice/include/ngspice/acdefs.h
 share/ngspice/include/ngspice/bdrydefs.h
 share/ngspice/include/ngspice/bool.h
@@ -7,12 +27,13 @@ share/ngspice/include/ngspice/ciderinp.h
 share/ngspice/include/ngspice/cidersupt.h
 share/ngspice/include/ngspice/cktdefs.h
 share/ngspice/include/ngspice/cluster.h
-share/ngspice/include/ngspice/cmconstants.h
 share/ngspice/include/ngspice/cm.h
+share/ngspice/include/ngspice/cmconstants.h
 share/ngspice/include/ngspice/cmproto.h
 share/ngspice/include/ngspice/cmtypes.h
 share/ngspice/include/ngspice/compatmode.h
 share/ngspice/include/ngspice/complex.h
+share/ngspice/include/ngspice/config.h
 share/ngspice/include/ngspice/const.h
 share/ngspice/include/ngspice/contdefs.h
 share/ngspice/include/ngspice/cpdefs.h
@@ -32,14 +53,15 @@ share/ngspice/include/ngspice/enh.h
 share/ngspice/include/ngspice/evt.h
 share/ngspice/include/ngspice/evtproto.h
 share/ngspice/include/ngspice/evtudn.h
+share/ngspice/include/ngspice/fftext.h
 share/ngspice/include/ngspice/ftedbgra.h
 share/ngspice/include/ngspice/ftedebug.h
 share/ngspice/include/ngspice/ftedefs.h
-share/ngspice/include/ngspice/fteoptdefs.h
 share/ngspice/include/ngspice/ftedev.h
 share/ngspice/include/ngspice/fteext.h
 share/ngspice/include/ngspice/fteinp.h
 share/ngspice/include/ngspice/fteinput.h
+share/ngspice/include/ngspice/fteoptdefs.h
 share/ngspice/include/ngspice/fteparse.h
 share/ngspice/include/ngspice/gendefs.h
 share/ngspice/include/ngspice/gendev.h
@@ -64,9 +86,9 @@ share/ngspice/include/ngspice/memory.h
 share/ngspice/include/ngspice/meshdefs.h
 share/ngspice/include/ngspice/meshext.h
 share/ngspice/include/ngspice/methdefs.h
+share/ngspice/include/ngspice/mif.h
 share/ngspice/include/ngspice/mifcmdat.h
 share/ngspice/include/ngspice/mifdefs.h
-share/ngspice/include/ngspice/mif.h
 share/ngspice/include/ngspice/mifparse.h
 share/ngspice/include/ngspice/mifproto.h
 share/ngspice/include/ngspice/miftypes.h
@@ -102,6 +124,7 @@ share/ngspice/include/ngspice/spmatrix.h
 share/ngspice/include/ngspice/stringutil.h
 share/ngspice/include/ngspice/suffix.h
 share/ngspice/include/ngspice/swec.h
+share/ngspice/include/ngspice/tclspice.h
 share/ngspice/include/ngspice/tfdefs.h
 share/ngspice/include/ngspice/trandefs.h
 share/ngspice/include/ngspice/trcvdefs.h
@@ -109,19 +132,12 @@ share/ngspice/include/ngspice/tskdefs.h
 share/ngspice/include/ngspice/twodev.h
 share/ngspice/include/ngspice/twomesh.h
 share/ngspice/include/ngspice/typedefs.h
-share/ngspice/include/ngspice/wordlist.h
-share/ngspice/include/ngspice/1-f-code.h
-share/ngspice/include/ngspice/FastNorm3.h
-share/ngspice/include/ngspice/fftext.h
 share/ngspice/include/ngspice/wallace.h
+share/ngspice/include/ngspice/wordlist.h
 share/ngspice/include/ngspice/wstdio.h
-share/ngspice/include/ngspice/config.h
-share/ngspice/dlmain.c
-share/ngspice/helpdir/ngspice.txt
-share/ngspice/helpdir/ngspice.idx
-share/ngspice/scripts/spinit
 share/ngspice/scripts/setplot
 share/ngspice/scripts/spectrum
+<<<<<<< Updated upstream
 bin/cmpp
 bin/ngspice
 bin/ngnutmeg
@@ -144,3 +160,12 @@ man/man1/ngspice.1.gz
 @dirrm share/ngspice/include/ngspice
 @dirrm share/ngspice/include
 @dirrm share/ngspice
+=======
+share/ngspice/scripts/spinit
+@dirrmtry share/ngspice/scripts
+@dirrmtry share/ngspice/include/ngspice
+@dirrmtry share/ngspice/include
+@dirrmtry share/ngspice/helpdir
+@dirrmtry share/ngspice
+@dirrmtry lib/ngspice
+>>>>>>> Stashed changes
diff --git a/games/crossfire-client/Makefile b/games/crossfire-client/Makefile
index 87a2c25..5dd7d9e 100644
--- a/games/crossfire-client/Makefile
+++ b/games/crossfire-client/Makefile
@@ -13,7 +13,7 @@ COMMENT=	Cooperative multiplayer graphical RPG and adventure game
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
 
 GNU_CONFIGURE=	yes
 USE_GL=		glut
@@ -24,9 +24,6 @@ CONFIGURE_ARGS+=	--disable-alsa --disable-alsa9
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN6=	crossfire-client-gtk2.6
-
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e '/#include <curl\/types.h>/d' \
 		${WRKSRC}/common/metaserver.c
@@ -36,8 +33,8 @@ post-patch:
 post-install:
 	${CP} ${WRKSRC}/pixmaps/48x48.png ${WRKSRC}/pixmaps/crossfire-client.png
 	${INSTALL_DATA} ${WRKSRC}/gtk-v2/crossfire-client.desktop \
-		${PREFIX}/share/applications
+		${STAGEDIR}${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/pixmaps/crossfire-client.png \
-		${PREFIX}/share/pixmaps
+		${STAGEDIR}${PREFIX}/share/pixmaps
 
 .include <bsd.port.mk>
diff --git a/games/crossfire-client/pkg-plist b/games/crossfire-client/pkg-plist
index bf07b67..ea095b8 100644
--- a/games/crossfire-client/pkg-plist
+++ b/games/crossfire-client/pkg-plist
@@ -1,7 +1,7 @@
 bin/cfsndserv
 bin/crossfire-client-gtk2
+man/man6/crossfire-client-gtk2.6.gz
 share/applications/crossfire-client.desktop
-share/pixmaps/crossfire-client.png
 %%DATADIR%%/glade-gtk2/caelestis.glade
 %%DATADIR%%/glade-gtk2/chthonic.glade
 %%DATADIR%%/glade-gtk2/dialogs.glade
@@ -16,6 +16,7 @@ share/pixmaps/crossfire-client.png
 %%DATADIR%%/glade-gtk2/v1-redux.glade
 %%DATADIR%%/themes/Black
 %%DATADIR%%/themes/Standard
-@dirrm %%DATADIR%%/glade-gtk2
-@dirrm %%DATADIR%%/themes
-@dirrm %%DATADIR%%
+share/pixmaps/crossfire-client.png
+@dirrmtry %%DATADIR%%/themes
+@dirrmtry %%DATADIR%%/glade-gtk2
+@dirrmtry %%DATADIR%%
diff --git a/games/freedroid/Makefile b/games/freedroid/Makefile
index fb19fc9..3daacfb 100644
--- a/games/freedroid/Makefile
+++ b/games/freedroid/Makefile
@@ -10,8 +10,11 @@ MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}Classic/FreedroidClassic-${PORTVERSION}
 MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	Clone of the Commodore game Paradroid
 
-LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png
 
 USES=		iconv
 USE_SDL=	mixer image sdl
@@ -23,17 +26,12 @@ DESKTOP_ENTRIES=	"Freedroid Classic" "${COMMENT}" \
 			"${DATADIR}/graphics/999.png" \
 			"freedroid" "Game;ArcadeGame;" false
 
-MAN6=		freedroid.6
-
-NO_STAGE=	yes
 post-extract:
 .for d in graphics map sound
 	@${FIND} ${WRKSRC}/${d} -type f -name "Makefile*" -print0 | \
 		${XARGS} -0 ${RM}
 .endfor
 
-.include <bsd.port.pre.mk>
-
 post-patch:
 	@${REINPLACE_CMD} -e 's#-lSDL # #;' \
 				${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
@@ -42,4 +40,4 @@ post-patch:
 	@${REINPLACE_CMD} -e 's#\#include \"mac-osx/getopt\.h\"##;' \
 				${WRKSRC}/src/system.h
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/freedroid/pkg-plist b/games/freedroid/pkg-plist
index 82a9661..61dce16 100644
--- a/games/freedroid/pkg-plist
+++ b/games/freedroid/pkg-plist
@@ -1,4 +1,5 @@
 bin/freedroid
+man/man6/freedroid.6.gz
 %%DATADIR%%/graphics/001.jpg
 %%DATADIR%%/graphics/001.png
 %%DATADIR%%/graphics/123.jpg
@@ -104,9 +105,9 @@ bin/freedroid
 %%DATADIR%%/sound/dreamfish-uridium2_loader.mod
 %%DATADIR%%/sound/kollaps-tron.mod
 %%DATADIR%%/sound/starpaws.mod
-@dirrm %%DATADIR%%/sound
-@dirrm %%DATADIR%%/map
-@dirrm %%DATADIR%%/graphics/lanzz_theme
-@dirrm %%DATADIR%%/graphics/classic_theme
-@dirrm %%DATADIR%%/graphics
-@dirrm %%DATADIR%%
+@dirrmtry %%DATADIR%%/sound
+@dirrmtry %%DATADIR%%/map
+@dirrmtry %%DATADIR%%/graphics/lanzz_theme
+@dirrmtry %%DATADIR%%/graphics/classic_theme
+@dirrmtry %%DATADIR%%/graphics
+@dirrmtry %%DATADIR%%
diff --git a/games/netrek-client-cow/Makefile b/games/netrek-client-cow/Makefile
index 476bc1c..bc60fff 100644
--- a/games/netrek-client-cow/Makefile
+++ b/games/netrek-client-cow/Makefile
@@ -11,7 +11,9 @@ MASTER_SITES=	http://www.netrek.org/files/COW/ \
 MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	Multi-player battle simulation with a Star Trek theme
 
-LIB_DEPENDS=	Imlib2:${PORTSDIR}/graphics/imlib2
+LIB_DEPENDS=	libImlib2.so:${PORTSDIR}/graphics/imlib2
+
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 GNU_CONFIGURE=	yes
 USES=		gmake
@@ -19,7 +21,6 @@ USE_SDL=	sdl mixer
 
 CONFIGURE_ARGS+=	NORSA='\#'
 
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e 's|ushort  damage|unsigned short damage|' \
 		${WRKSRC}/short.c
diff --git a/security/gnomint/Makefile b/security/gnomint/Makefile
index f878273..4924207 100644
--- a/security/gnomint/Makefile
+++ b/security/gnomint/Makefile
@@ -11,20 +11,20 @@ MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	X.509 Certification Authority management tool
 
 LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	gcrypt:${PORTSDIR}/security/libgcrypt \
-		gnutls:${PORTSDIR}/security/gnutls \
-		sqlite3:${PORTSDIR}/databases/sqlite3
+LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+		libgnutls.so:${PORTSDIR}/security/gnutls \
+		libsqlite3.so:${PORTSDIR}/databases/sqlite3
 
 GNU_CONFIGURE=	yes
 USES=		gmake perl5 pkgconfig
 USE_GNOME=	gconf2 gdkpixbuf2 glib20 gtk20
-CFLAGS:=	${CFLAGS:C/-Werror//}
 
+CFLAGS:=	${CFLAGS:C/-Werror//}
 
 OPTIONS_DEFINE=	NLS
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
diff --git a/security/gnomint/pkg-plist b/security/gnomint/pkg-plist
index 3d3de0f..d279c7b 100644
--- a/security/gnomint/pkg-plist
+++ b/security/gnomint/pkg-plist
@@ -72,3 +72,5 @@ etc/gconf/schemas/gnomint.schemas
 %%NLS%%@dirrmtry lib/locale/sv/LC_MESSAGES
 %%NLS%%@dirrmtry lib/locale/sv
 %%NLS%%@dirrmtry lib/locale
+@dirrmtry etc/gconf/schemas
+@dirrmtry etc/gconf