Index: Makefile
===================================================================
--- Makefile	(revision 350676)
+++ Makefile	(working copy)
@@ -2,32 +2,37 @@
 # $FreeBSD$
 
 PORTNAME=	atanks
-PORTVERSION=	5.1
+PORTVERSION=	5.9
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${DISTNAME}
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${DISTNAME}/
 
 MAINTAINER=	jessefrgsmith@yahoo.ca
-COMMENT=	A 2D tank game with large, cartoonish weapons
+COMMENT=	2D tank game with large, cartoonish weapons
 
-LIB_DEPENDS=	alleg:${PORTSDIR}/devel/allegro
+LICENSE=	GPLv2
 
-USE_GMAKE=	yes
+LIB_DEPENDS=	liballeg.so:${PORTSDIR}/devel/allegro
+
+USES=		gmake
 MAKE_ARGS+=	PREFIX=${PREFIX}/
 PATCH_DEBUG=	1
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+PORTDOCS=	Changelog README README_ru.txt credits.txt
+OPTIONS_DEFINE=	DOCS
 
 post-patch:
-		${REINPLACE_CMD} \
-		    -e 's}^INSTALL[ 	]*=.*}INSTALL=${INSTALL} ${COPY}};' \
-		    -e 's/-m *755/-m555 ${STRIP}/;' \
-		    -e 's/-m *644/-m444/;' \
-		    ${WRKSRC}/Makefile
-.if ${OSVERSION} >= 800501
-		${REINPLACE_CMD} \
-		    -e 's/int Filter_File( struct dirent/int Filter_File( const struct dirent/' \
-		    ${WRKSRC}/src/files.cpp
-.endif
+	@${REINPLACE_CMD} -e \
+		's/int Filter_File( struct dirent/int Filter_File( const struct dirent/' \
+		${WRKSRC}/src/files.cpp
 
-.include <bsd.port.post.mk>
+post-install:
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+	${LN} -sf ${DOCSDIR}/credits.txt ${STAGEDIR}${DATADIR}
+
+.include <bsd.port.mk>
Index: distinfo
===================================================================
--- distinfo	(revision 350676)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (atanks-5.1.tar.gz) = 39788e7139d553c628e2cba0c81b7e24659fb640b9bbf041619d4f94e0c7286c
-SIZE (atanks-5.1.tar.gz) = 3125673
+SHA256 (atanks-5.9.tar.gz) = d3e4c765ed942ceac1f60e4d5e24b33acbb3fbc64cc2f227ce2a031ae16b1a6d
+SIZE (atanks-5.9.tar.gz) = 3123202
Index: files/patch-Makefile
===================================================================
--- files/patch-Makefile	(revision 350676)
+++ files/patch-Makefile	(working copy)
@@ -1,11 +1,66 @@
---- Makefile.orig	2010-06-10 10:03:35.000000000 -0300
-+++ Makefile	2010-06-10 11:00:00.000000000 -0300
-@@ -16,7 +16,7 @@
- INCOMMON=COPYING README TODO Changelog *.txt unicode.dat
+--- ./Makefile.orig	2014-03-29 16:11:25.000000000 +0100
++++ ./Makefile	2014-04-09 17:29:31.394283912 +0200
+@@ -4,27 +4,27 @@
+ BINPREFIX = $(PREFIX)
  
+ BINDIR = ${BINPREFIX}bin/
+-INSTALLDIR = ${PREFIX}share/games/atanks
++INSTALLDIR = ${PREFIX}share/atanks
+ 
+ export VERSION
+ export PREFIX
+ export INSTALLDIR
+ 
+ FILENAME=atanks-${VERSION}
+-INSTALL=$(PREFIX)bin/install -c
++INSTALL=install
+ DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/*.txt
+-INCOMMON=COPYING README TODO Changelog *.txt unicode.dat
++INCOMMON=unicode.dat
+ 
  all:
 -	FLAGS=-DLINUX $(MAKE) -C src
 +	FLAGS=-DMACOSX $(MAKE) -C src -f Makefile.bsd
  
  install: 
- 	mkdir -p ${BINDIR}
+ 	mkdir -p $(DESTDIR)${BINDIR}
+-	$(INSTALL) -m 755 atanks $(DESTDIR)${BINDIR}
+-	mkdir -p $(DESTDIR)/usr/share/applications
+-	$(INSTALL) -m 644 atanks.desktop $(DESTDIR)/usr/share/applications
+-	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
+-	$(INSTALL) -m 644 atanks.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
++	$(INSTALL) -m 555 atanks $(DESTDIR)${BINDIR}
++	mkdir -p $(DESTDIR)/usr/local/share/applications
++	$(INSTALL) -m 644 atanks.desktop $(DESTDIR)/usr/local/share/applications
++	mkdir -p $(DESTDIR)/usr/local/share/icons/hicolor/48x48/apps
++	$(INSTALL) -m 644 atanks.png $(DESTDIR)/usr/local/share/icons/hicolor/48x48/apps
+ 	mkdir -p $(DESTDIR)${INSTALLDIR}
+ 	mkdir -p $(DESTDIR)${INSTALLDIR}/button
+ 	mkdir -p $(DESTDIR)${INSTALLDIR}/misc
+@@ -35,16 +35,16 @@
+ 	mkdir -p $(DESTDIR)${INSTALLDIR}/tankgun
+ 	mkdir -p $(DESTDIR)${INSTALLDIR}/title
+ 	mkdir -p $(DESTDIR)${INSTALLDIR}/text
+-	$(INSTALL) -m 644 $(INCOMMON) $(DESTDIR)${INSTALLDIR}
+-	$(INSTALL) -m 644 button/* $(DESTDIR)${INSTALLDIR}/button
+-	$(INSTALL) -m 644 misc/* $(DESTDIR)${INSTALLDIR}/misc
+-	$(INSTALL) -m 644 missile/* $(DESTDIR)${INSTALLDIR}/missile
+-	$(INSTALL) -m 644 sound/* $(DESTDIR)${INSTALLDIR}/sound
+-	$(INSTALL) -m 644 stock/* $(DESTDIR)${INSTALLDIR}/stock
+-	$(INSTALL) -m 644 tank/* $(DESTDIR)${INSTALLDIR}/tank
+-	$(INSTALL) -m 644 tankgun/* $(DESTDIR)${INSTALLDIR}/tankgun
+-	$(INSTALL) -m 644 title/* $(DESTDIR)${INSTALLDIR}/title
+-	$(INSTALL) -m 644 text/* $(DESTDIR)${INSTALLDIR}/text
++	$(INSTALL) -m 444 $(INCOMMON) $(DESTDIR)${INSTALLDIR}
++	$(INSTALL) -m 444 button/* $(DESTDIR)${INSTALLDIR}/button
++	$(INSTALL) -m 444 misc/* $(DESTDIR)${INSTALLDIR}/misc
++	$(INSTALL) -m 444 missile/* $(DESTDIR)${INSTALLDIR}/missile
++	$(INSTALL) -m 444 sound/* $(DESTDIR)${INSTALLDIR}/sound
++	$(INSTALL) -m 444 stock/* $(DESTDIR)${INSTALLDIR}/stock
++	$(INSTALL) -m 444 tank/* $(DESTDIR)${INSTALLDIR}/tank
++	$(INSTALL) -m 444 tankgun/* $(DESTDIR)${INSTALLDIR}/tankgun
++	$(INSTALL) -m 444 title/* $(DESTDIR)${INSTALLDIR}/title
++	$(INSTALL) -m 444 text/* $(DESTDIR)${INSTALLDIR}/text
+ 
+ user:
+ 	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 350676)
+++ pkg-plist	(working copy)
@@ -1,292 +1,291 @@
 bin/atanks
-share/games/atanks/misc/12.bmp
-share/games/atanks/misc/9.bmp
-share/games/atanks/misc/1.bmp
-share/games/atanks/misc/13.bmp
-share/games/atanks/misc/10.bmp
-share/games/atanks/misc/3.bmp
-share/games/atanks/misc/14.bmp
-share/games/atanks/misc/8.bmp
-share/games/atanks/misc/16.bmp
-share/games/atanks/misc/2.bmp
-share/games/atanks/misc/11.bmp
-share/games/atanks/misc/6.bmp
-share/games/atanks/misc/0.bmp
-share/games/atanks/misc/7.bmp
-share/games/atanks/misc/15.bmp
-share/games/atanks/misc/5.bmp
-share/games/atanks/misc/4.bmp
-share/games/atanks/misc/17.bmp
-share/games/atanks/COPYING
-share/games/atanks/TODO
-share/games/atanks/tankgun/1.bmp
-share/games/atanks/tankgun/3.bmp
-share/games/atanks/tankgun/8.bmp
-share/games/atanks/tankgun/2.bmp
-share/games/atanks/tankgun/6.bmp
-share/games/atanks/tankgun/0.bmp
-share/games/atanks/tankgun/7.bmp
-share/games/atanks/tankgun/5.bmp
-share/games/atanks/tankgun/4.bmp
-share/games/atanks/Changelog
-share/games/atanks/title/1.bmp
-share/games/atanks/title/3.bmp
-share/games/atanks/title/2.bmp
-share/games/atanks/title/0.bmp
-share/games/atanks/unicode.dat
-share/games/atanks/credits.txt
-share/games/atanks/stock/66.bmp
-share/games/atanks/stock/54.bmp
-share/games/atanks/stock/74.bmp
-share/games/atanks/stock/57.bmp
-share/games/atanks/stock/39.bmp
-share/games/atanks/stock/37.bmp
-share/games/atanks/stock/27.bmp
-share/games/atanks/stock/12.bmp
-share/games/atanks/stock/9.bmp
-share/games/atanks/stock/1.bmp
-share/games/atanks/stock/52.bmp
-share/games/atanks/stock/13.bmp
-share/games/atanks/stock/29.bmp
-share/games/atanks/stock/50.bmp
-share/games/atanks/stock/75.bmp
-share/games/atanks/stock/47.bmp
-share/games/atanks/stock/43.bmp
-share/games/atanks/stock/68.bmp
-share/games/atanks/stock/10.bmp
-share/games/atanks/stock/3.bmp
-share/games/atanks/stock/14.bmp
-share/games/atanks/stock/44.bmp
-share/games/atanks/stock/8.bmp
-share/games/atanks/stock/32.bmp
-share/games/atanks/stock/26.bmp
-share/games/atanks/stock/16.bmp
-share/games/atanks/stock/2.bmp
-share/games/atanks/stock/42.bmp
-share/games/atanks/stock/55.bmp
-share/games/atanks/stock/61.bmp
-share/games/atanks/stock/11.bmp
-share/games/atanks/stock/33.bmp
-share/games/atanks/stock/23.bmp
-share/games/atanks/stock/58.bmp
-share/games/atanks/stock/25.bmp
-share/games/atanks/stock/36.bmp
-share/games/atanks/stock/20.bmp
-share/games/atanks/stock/35.bmp
-share/games/atanks/stock/64.bmp
-share/games/atanks/stock/19.bmp
-share/games/atanks/stock/59.bmp
-share/games/atanks/stock/24.bmp
-share/games/atanks/stock/56.bmp
-share/games/atanks/stock/51.bmp
-share/games/atanks/stock/53.bmp
-share/games/atanks/stock/45.bmp
-share/games/atanks/stock/69.bmp
-share/games/atanks/stock/6.bmp
-share/games/atanks/stock/78.bmp
-share/games/atanks/stock/22.bmp
-share/games/atanks/stock/49.bmp
-share/games/atanks/stock/21.bmp
-share/games/atanks/stock/30.bmp
-share/games/atanks/stock/0.bmp
-share/games/atanks/stock/62.bmp
-share/games/atanks/stock/72.bmp
-share/games/atanks/stock/65.bmp
-share/games/atanks/stock/38.bmp
-share/games/atanks/stock/34.bmp
-share/games/atanks/stock/60.bmp
-share/games/atanks/stock/18.bmp
-share/games/atanks/stock/76.bmp
-share/games/atanks/stock/7.bmp
-share/games/atanks/stock/41.bmp
-share/games/atanks/stock/15.bmp
-share/games/atanks/stock/5.bmp
-share/games/atanks/stock/67.bmp
-share/games/atanks/stock/4.bmp
-share/games/atanks/stock/46.bmp
-share/games/atanks/stock/63.bmp
-share/games/atanks/stock/73.bmp
-share/games/atanks/stock/28.bmp
-share/games/atanks/stock/71.bmp
-share/games/atanks/stock/48.bmp
-share/games/atanks/stock/77.bmp
-share/games/atanks/stock/40.bmp
-share/games/atanks/stock/31.bmp
-share/games/atanks/stock/17.bmp
-share/games/atanks/stock/70.bmp
-share/games/atanks/README_ru.txt
-share/games/atanks/sound/0.wav
-share/games/atanks/sound/2.wav
-share/games/atanks/sound/8.wav
-share/games/atanks/sound/12.wav
-share/games/atanks/sound/9.wav
-share/games/atanks/sound/3.wav
-share/games/atanks/sound/1.wav
-share/games/atanks/sound/6.wav
-share/games/atanks/sound/4.wav
-share/games/atanks/sound/7.wav
-share/games/atanks/sound/11.wav
-share/games/atanks/sound/10.wav
-share/games/atanks/sound/5.wav
-share/games/atanks/button/27.bmp
-share/games/atanks/button/12.bmp
-share/games/atanks/button/9.bmp
-share/games/atanks/button/1.bmp
-share/games/atanks/button/13.bmp
-share/games/atanks/button/10.bmp
-share/games/atanks/button/3.bmp
-share/games/atanks/button/14.bmp
-share/games/atanks/button/8.bmp
-share/games/atanks/button/26.bmp
-share/games/atanks/button/16.bmp
-share/games/atanks/button/2.bmp
-share/games/atanks/button/11.bmp
-share/games/atanks/button/23.bmp
-share/games/atanks/button/25.bmp
-share/games/atanks/button/20.bmp
-share/games/atanks/button/19.bmp
-share/games/atanks/button/24.bmp
-share/games/atanks/button/6.bmp
-share/games/atanks/button/22.bmp
-share/games/atanks/button/21.bmp
-share/games/atanks/button/0.bmp
-share/games/atanks/button/18.bmp
-share/games/atanks/button/7.bmp
-share/games/atanks/button/15.bmp
-share/games/atanks/button/5.bmp
-share/games/atanks/button/4.bmp
-share/games/atanks/button/17.bmp
-share/games/atanks/README
-share/games/atanks/text/instr_ES.txt
-share/games/atanks/text/revenge_fr.txt
-share/games/atanks/text/kamikaze_sk.txt
-share/games/atanks/text/war_quotes_ru.txt
-share/games/atanks/text/retaliation_de.txt
-share/games/atanks/text/instr.txt
-share/games/atanks/text/retaliation_sk.txt
-share/games/atanks/text/instr_sk.txt
-share/games/atanks/text/weapons.txt
-share/games/atanks/text/suicide_de.txt
-share/games/atanks/text/ingame.pt_BR.txt
-share/games/atanks/text/instr.pt_BR.txt
-share/games/atanks/text/weapons_de.txt
-share/games/atanks/text/retaliation_ru.txt
-share/games/atanks/text/instr_ru.txt
-share/games/atanks/text/gloat_ru.txt
-share/games/atanks/text/ingame_sk.txt
-share/games/atanks/text/Help_sk.txt
-share/games/atanks/text/instr_fr.txt
-share/games/atanks/text/revenge_de.txt
-share/games/atanks/text/ingame_de.txt
-share/games/atanks/text/gloat_fr.txt
-share/games/atanks/text/suicide_fr.txt
-share/games/atanks/text/revenge_ES.txt
-share/games/atanks/text/retaliation.pt_BR.txt
-share/games/atanks/text/Help_fr.txt
-share/games/atanks/text/Help_ES.txt
-share/games/atanks/text/revenge.txt
-share/games/atanks/text/suicide.txt
-share/games/atanks/text/ingame_ES.txt
-share/games/atanks/text/suicide_ES.txt
-share/games/atanks/text/suicide_ru.txt
-share/games/atanks/text/gloat.pt_BR.txt
-share/games/atanks/text/instr_de.txt
-share/games/atanks/text/gloat_ES.txt
-share/games/atanks/text/kamikaze_ES.txt
-share/games/atanks/text/ingame_fr.txt
-share/games/atanks/text/weapons_sk.txt
-share/games/atanks/text/weapons_ru.txt
-share/games/atanks/text/gloat.txt
-share/games/atanks/text/suicide.pt_BR.txt
-share/games/atanks/text/kamikaze.pt_BR.txt
-share/games/atanks/text/weapons_fr.txt
-share/games/atanks/text/Help.pt_BR.txt
-share/games/atanks/text/kamikaze_de.txt
-share/games/atanks/text/retaliation_fr.txt
-share/games/atanks/text/Help.txt
-share/games/atanks/text/kamikaze_ru.txt
-share/games/atanks/text/weapons_ES.txt
-share/games/atanks/text/weapons.pt_BR.txt
-share/games/atanks/text/suicide_sk.txt
-share/games/atanks/text/gloat_sk.txt
-share/games/atanks/text/retaliation.txt
-share/games/atanks/text/ingame.txt
-share/games/atanks/text/revenge.pt_BR.txt
-share/games/atanks/text/kamikaze_fr.txt
-share/games/atanks/text/war_quotes.txt
-share/games/atanks/text/Help_ru.txt
-share/games/atanks/text/war_quotes_ES.txt
-share/games/atanks/text/kamikaze.txt
-share/games/atanks/text/retaliation_ES.txt
-share/games/atanks/text/ingame_ru.txt
-share/games/atanks/text/revenge_sk.txt
-share/games/atanks/text/gloat_de.txt
-share/games/atanks/text/revenge_ru.txt
-share/games/atanks/text/gloat_it.txt
-share/games/atanks/text/Help_it.txt
-share/games/atanks/text/ingame_it.txt
-share/games/atanks/text/instr_it.txt
-share/games/atanks/text/kamikaze_it.txt
-share/games/atanks/text/retaliation_it.txt
-share/games/atanks/text/revenge_it.txt
-share/games/atanks/text/suicide_it.txt
-share/games/atanks/text/war_quotes_it.txt
-share/games/atanks/text/weapons_it.txt
-share/games/atanks/missile/27.bmp
-share/games/atanks/missile/12.bmp
-share/games/atanks/missile/9.bmp
-share/games/atanks/missile/1.bmp
-share/games/atanks/missile/13.bmp
-share/games/atanks/missile/29.bmp
-share/games/atanks/missile/10.bmp
-share/games/atanks/missile/3.bmp
-share/games/atanks/missile/14.bmp
-share/games/atanks/missile/8.bmp
-share/games/atanks/missile/26.bmp
-share/games/atanks/missile/16.bmp
-share/games/atanks/missile/2.bmp
-share/games/atanks/missile/11.bmp
-share/games/atanks/missile/23.bmp
-share/games/atanks/missile/25.bmp
-share/games/atanks/missile/20.bmp
-share/games/atanks/missile/19.bmp
-share/games/atanks/missile/24.bmp
-share/games/atanks/missile/6.bmp
-share/games/atanks/missile/22.bmp
-share/games/atanks/missile/21.bmp
-share/games/atanks/missile/30.bmp
-share/games/atanks/missile/0.bmp
-share/games/atanks/missile/18.bmp
-share/games/atanks/missile/7.bmp
-share/games/atanks/missile/15.bmp
-share/games/atanks/missile/5.bmp
-share/games/atanks/missile/4.bmp
-share/games/atanks/missile/28.bmp
-share/games/atanks/missile/17.bmp
-share/games/atanks/tank/12.bmp
-share/games/atanks/tank/9.bmp
-share/games/atanks/tank/1.bmp
-share/games/atanks/tank/13.bmp
-share/games/atanks/tank/10.bmp
-share/games/atanks/tank/3.bmp
-share/games/atanks/tank/14.bmp
-share/games/atanks/tank/8.bmp
-share/games/atanks/tank/2.bmp
-share/games/atanks/tank/11.bmp
-share/games/atanks/tank/6.bmp
-share/games/atanks/tank/0.bmp
-share/games/atanks/tank/7.bmp
-share/games/atanks/tank/15.bmp
-share/games/atanks/tank/5.bmp
-share/games/atanks/tank/4.bmp
-@dirrm share/games/atanks/button
-@dirrm share/games/atanks/misc
-@dirrm share/games/atanks/missile
-@dirrm share/games/atanks/sound
-@dirrm share/games/atanks/stock
-@dirrm share/games/atanks/tank
-@dirrm share/games/atanks/tankgun
-@dirrm share/games/atanks/text
-@dirrm share/games/atanks/title
-@dirrm share/games/atanks
-@dirrmtry share/games
+share/applications/atanks.desktop
+%%DATADIR%%/button/0.bmp
+%%DATADIR%%/button/1.bmp
+%%DATADIR%%/button/10.bmp
+%%DATADIR%%/button/11.bmp
+%%DATADIR%%/button/12.bmp
+%%DATADIR%%/button/13.bmp
+%%DATADIR%%/button/14.bmp
+%%DATADIR%%/button/15.bmp
+%%DATADIR%%/button/16.bmp
+%%DATADIR%%/button/17.bmp
+%%DATADIR%%/button/18.bmp
+%%DATADIR%%/button/19.bmp
+%%DATADIR%%/button/2.bmp
+%%DATADIR%%/button/20.bmp
+%%DATADIR%%/button/21.bmp
+%%DATADIR%%/button/22.bmp
+%%DATADIR%%/button/23.bmp
+%%DATADIR%%/button/24.bmp
+%%DATADIR%%/button/25.bmp
+%%DATADIR%%/button/26.bmp
+%%DATADIR%%/button/27.bmp
+%%DATADIR%%/button/3.bmp
+%%DATADIR%%/button/4.bmp
+%%DATADIR%%/button/5.bmp
+%%DATADIR%%/button/6.bmp
+%%DATADIR%%/button/7.bmp
+%%DATADIR%%/button/8.bmp
+%%DATADIR%%/button/9.bmp
+%%DATADIR%%/credits.txt
+%%DATADIR%%/misc/0.bmp
+%%DATADIR%%/misc/1.bmp
+%%DATADIR%%/misc/10.bmp
+%%DATADIR%%/misc/11.bmp
+%%DATADIR%%/misc/12.bmp
+%%DATADIR%%/misc/13.bmp
+%%DATADIR%%/misc/14.bmp
+%%DATADIR%%/misc/15.bmp
+%%DATADIR%%/misc/16.bmp
+%%DATADIR%%/misc/17.bmp
+%%DATADIR%%/misc/2.bmp
+%%DATADIR%%/misc/3.bmp
+%%DATADIR%%/misc/4.bmp
+%%DATADIR%%/misc/5.bmp
+%%DATADIR%%/misc/6.bmp
+%%DATADIR%%/misc/7.bmp
+%%DATADIR%%/misc/8.bmp
+%%DATADIR%%/misc/9.bmp
+%%DATADIR%%/missile/0.bmp
+%%DATADIR%%/missile/1.bmp
+%%DATADIR%%/missile/10.bmp
+%%DATADIR%%/missile/11.bmp
+%%DATADIR%%/missile/12.bmp
+%%DATADIR%%/missile/13.bmp
+%%DATADIR%%/missile/14.bmp
+%%DATADIR%%/missile/15.bmp
+%%DATADIR%%/missile/16.bmp
+%%DATADIR%%/missile/17.bmp
+%%DATADIR%%/missile/18.bmp
+%%DATADIR%%/missile/19.bmp
+%%DATADIR%%/missile/2.bmp
+%%DATADIR%%/missile/20.bmp
+%%DATADIR%%/missile/21.bmp
+%%DATADIR%%/missile/22.bmp
+%%DATADIR%%/missile/23.bmp
+%%DATADIR%%/missile/24.bmp
+%%DATADIR%%/missile/25.bmp
+%%DATADIR%%/missile/26.bmp
+%%DATADIR%%/missile/27.bmp
+%%DATADIR%%/missile/28.bmp
+%%DATADIR%%/missile/29.bmp
+%%DATADIR%%/missile/3.bmp
+%%DATADIR%%/missile/30.bmp
+%%DATADIR%%/missile/4.bmp
+%%DATADIR%%/missile/5.bmp
+%%DATADIR%%/missile/6.bmp
+%%DATADIR%%/missile/7.bmp
+%%DATADIR%%/missile/8.bmp
+%%DATADIR%%/missile/9.bmp
+%%DATADIR%%/sound/0.wav
+%%DATADIR%%/sound/1.wav
+%%DATADIR%%/sound/10.wav
+%%DATADIR%%/sound/11.wav
+%%DATADIR%%/sound/12.wav
+%%DATADIR%%/sound/2.wav
+%%DATADIR%%/sound/3.wav
+%%DATADIR%%/sound/4.wav
+%%DATADIR%%/sound/5.wav
+%%DATADIR%%/sound/6.wav
+%%DATADIR%%/sound/7.wav
+%%DATADIR%%/sound/8.wav
+%%DATADIR%%/sound/9.wav
+%%DATADIR%%/stock/0.bmp
+%%DATADIR%%/stock/1.bmp
+%%DATADIR%%/stock/10.bmp
+%%DATADIR%%/stock/11.bmp
+%%DATADIR%%/stock/12.bmp
+%%DATADIR%%/stock/13.bmp
+%%DATADIR%%/stock/14.bmp
+%%DATADIR%%/stock/15.bmp
+%%DATADIR%%/stock/16.bmp
+%%DATADIR%%/stock/17.bmp
+%%DATADIR%%/stock/18.bmp
+%%DATADIR%%/stock/19.bmp
+%%DATADIR%%/stock/2.bmp
+%%DATADIR%%/stock/20.bmp
+%%DATADIR%%/stock/21.bmp
+%%DATADIR%%/stock/22.bmp
+%%DATADIR%%/stock/23.bmp
+%%DATADIR%%/stock/24.bmp
+%%DATADIR%%/stock/25.bmp
+%%DATADIR%%/stock/26.bmp
+%%DATADIR%%/stock/27.bmp
+%%DATADIR%%/stock/28.bmp
+%%DATADIR%%/stock/29.bmp
+%%DATADIR%%/stock/3.bmp
+%%DATADIR%%/stock/30.bmp
+%%DATADIR%%/stock/31.bmp
+%%DATADIR%%/stock/32.bmp
+%%DATADIR%%/stock/33.bmp
+%%DATADIR%%/stock/34.bmp
+%%DATADIR%%/stock/35.bmp
+%%DATADIR%%/stock/36.bmp
+%%DATADIR%%/stock/37.bmp
+%%DATADIR%%/stock/38.bmp
+%%DATADIR%%/stock/39.bmp
+%%DATADIR%%/stock/4.bmp
+%%DATADIR%%/stock/40.bmp
+%%DATADIR%%/stock/41.bmp
+%%DATADIR%%/stock/42.bmp
+%%DATADIR%%/stock/43.bmp
+%%DATADIR%%/stock/44.bmp
+%%DATADIR%%/stock/45.bmp
+%%DATADIR%%/stock/46.bmp
+%%DATADIR%%/stock/47.bmp
+%%DATADIR%%/stock/48.bmp
+%%DATADIR%%/stock/49.bmp
+%%DATADIR%%/stock/5.bmp
+%%DATADIR%%/stock/50.bmp
+%%DATADIR%%/stock/51.bmp
+%%DATADIR%%/stock/52.bmp
+%%DATADIR%%/stock/53.bmp
+%%DATADIR%%/stock/54.bmp
+%%DATADIR%%/stock/55.bmp
+%%DATADIR%%/stock/56.bmp
+%%DATADIR%%/stock/57.bmp
+%%DATADIR%%/stock/58.bmp
+%%DATADIR%%/stock/59.bmp
+%%DATADIR%%/stock/6.bmp
+%%DATADIR%%/stock/60.bmp
+%%DATADIR%%/stock/61.bmp
+%%DATADIR%%/stock/62.bmp
+%%DATADIR%%/stock/63.bmp
+%%DATADIR%%/stock/64.bmp
+%%DATADIR%%/stock/65.bmp
+%%DATADIR%%/stock/66.bmp
+%%DATADIR%%/stock/67.bmp
+%%DATADIR%%/stock/68.bmp
+%%DATADIR%%/stock/69.bmp
+%%DATADIR%%/stock/7.bmp
+%%DATADIR%%/stock/70.bmp
+%%DATADIR%%/stock/71.bmp
+%%DATADIR%%/stock/72.bmp
+%%DATADIR%%/stock/73.bmp
+%%DATADIR%%/stock/74.bmp
+%%DATADIR%%/stock/75.bmp
+%%DATADIR%%/stock/76.bmp
+%%DATADIR%%/stock/77.bmp
+%%DATADIR%%/stock/78.bmp
+%%DATADIR%%/stock/8.bmp
+%%DATADIR%%/stock/9.bmp
+%%DATADIR%%/tank/0.bmp
+%%DATADIR%%/tank/1.bmp
+%%DATADIR%%/tank/10.bmp
+%%DATADIR%%/tank/11.bmp
+%%DATADIR%%/tank/12.bmp
+%%DATADIR%%/tank/13.bmp
+%%DATADIR%%/tank/14.bmp
+%%DATADIR%%/tank/15.bmp
+%%DATADIR%%/tank/16.bmp
+%%DATADIR%%/tank/2.bmp
+%%DATADIR%%/tank/3.bmp
+%%DATADIR%%/tank/4.bmp
+%%DATADIR%%/tank/5.bmp
+%%DATADIR%%/tank/6.bmp
+%%DATADIR%%/tank/7.bmp
+%%DATADIR%%/tank/8.bmp
+%%DATADIR%%/tank/9.bmp
+%%DATADIR%%/tankgun/0.bmp
+%%DATADIR%%/tankgun/1.bmp
+%%DATADIR%%/tankgun/2.bmp
+%%DATADIR%%/tankgun/3.bmp
+%%DATADIR%%/tankgun/4.bmp
+%%DATADIR%%/tankgun/5.bmp
+%%DATADIR%%/tankgun/6.bmp
+%%DATADIR%%/tankgun/7.bmp
+%%DATADIR%%/tankgun/8.bmp
+%%DATADIR%%/tankgun/9.bmp
+%%DATADIR%%/text/Help.pt_BR.txt
+%%DATADIR%%/text/Help.txt
+%%DATADIR%%/text/Help_ES.txt
+%%DATADIR%%/text/Help_fr.txt
+%%DATADIR%%/text/Help_it.txt
+%%DATADIR%%/text/Help_ru.txt
+%%DATADIR%%/text/Help_sk.txt
+%%DATADIR%%/text/gloat.pt_BR.txt
+%%DATADIR%%/text/gloat.txt
+%%DATADIR%%/text/gloat_ES.txt
+%%DATADIR%%/text/gloat_de.txt
+%%DATADIR%%/text/gloat_fr.txt
+%%DATADIR%%/text/gloat_it.txt
+%%DATADIR%%/text/gloat_ru.txt
+%%DATADIR%%/text/gloat_sk.txt
+%%DATADIR%%/text/ingame.pt_BR.txt
+%%DATADIR%%/text/ingame.txt
+%%DATADIR%%/text/ingame_ES.txt
+%%DATADIR%%/text/ingame_de.txt
+%%DATADIR%%/text/ingame_fr.txt
+%%DATADIR%%/text/ingame_it.txt
+%%DATADIR%%/text/ingame_ru.txt
+%%DATADIR%%/text/ingame_sk.txt
+%%DATADIR%%/text/instr.pt_BR.txt
+%%DATADIR%%/text/instr.txt
+%%DATADIR%%/text/instr_ES.txt
+%%DATADIR%%/text/instr_de.txt
+%%DATADIR%%/text/instr_fr.txt
+%%DATADIR%%/text/instr_it.txt
+%%DATADIR%%/text/instr_ru.txt
+%%DATADIR%%/text/instr_sk.txt
+%%DATADIR%%/text/kamikaze.pt_BR.txt
+%%DATADIR%%/text/kamikaze.txt
+%%DATADIR%%/text/kamikaze_ES.txt
+%%DATADIR%%/text/kamikaze_de.txt
+%%DATADIR%%/text/kamikaze_fr.txt
+%%DATADIR%%/text/kamikaze_it.txt
+%%DATADIR%%/text/kamikaze_ru.txt
+%%DATADIR%%/text/kamikaze_sk.txt
+%%DATADIR%%/text/retaliation.pt_BR.txt
+%%DATADIR%%/text/retaliation.txt
+%%DATADIR%%/text/retaliation_ES.txt
+%%DATADIR%%/text/retaliation_de.txt
+%%DATADIR%%/text/retaliation_fr.txt
+%%DATADIR%%/text/retaliation_it.txt
+%%DATADIR%%/text/retaliation_ru.txt
+%%DATADIR%%/text/retaliation_sk.txt
+%%DATADIR%%/text/revenge.pt_BR.txt
+%%DATADIR%%/text/revenge.txt
+%%DATADIR%%/text/revenge_ES.txt
+%%DATADIR%%/text/revenge_de.txt
+%%DATADIR%%/text/revenge_fr.txt
+%%DATADIR%%/text/revenge_it.txt
+%%DATADIR%%/text/revenge_ru.txt
+%%DATADIR%%/text/revenge_sk.txt
+%%DATADIR%%/text/suicide.pt_BR.txt
+%%DATADIR%%/text/suicide.txt
+%%DATADIR%%/text/suicide_ES.txt
+%%DATADIR%%/text/suicide_de.txt
+%%DATADIR%%/text/suicide_fr.txt
+%%DATADIR%%/text/suicide_it.txt
+%%DATADIR%%/text/suicide_ru.txt
+%%DATADIR%%/text/suicide_sk.txt
+%%DATADIR%%/text/war_quotes.txt
+%%DATADIR%%/text/war_quotes_ES.txt
+%%DATADIR%%/text/war_quotes_it.txt
+%%DATADIR%%/text/war_quotes_ru.txt
+%%DATADIR%%/text/weapons.pt_BR.txt
+%%DATADIR%%/text/weapons.txt
+%%DATADIR%%/text/weapons_ES.txt
+%%DATADIR%%/text/weapons_de.txt
+%%DATADIR%%/text/weapons_fr.txt
+%%DATADIR%%/text/weapons_it.txt
+%%DATADIR%%/text/weapons_ru.txt
+%%DATADIR%%/text/weapons_sk.txt
+%%DATADIR%%/title/0.bmp
+%%DATADIR%%/title/1.bmp
+%%DATADIR%%/title/2.bmp
+%%DATADIR%%/title/3.bmp
+%%DATADIR%%/unicode.dat
+share/icons/hicolor/48x48/apps/atanks.png
+share/pixmaps/atanks.png
+@dirrm %%DATADIR%%/title
+@dirrm %%DATADIR%%/text
+@dirrm %%DATADIR%%/tankgun
+@dirrm %%DATADIR%%/tank
+@dirrm %%DATADIR%%/stock
+@dirrm %%DATADIR%%/sound
+@dirrm %%DATADIR%%/missile
+@dirrm %%DATADIR%%/misc
+@dirrm %%DATADIR%%/button
+@dirrm %%DATADIR%%